package com.younike.common.utils.id;

import com.younike.common.utils.StringUtils;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

/**
 * 订单编号生成器
 *
 * @author chenpengfei
 */
public class OrderIndexGenerate {
    /**
     * 生成订单编号（最低20位）
     * 时间字符串 + 订单ID（最低6位）
     * @param orderId 订单ID
     * @return 订单编号
     */
    public static String getIndexByOrderId(Long orderId) {
        DateTimeFormatter dateTimeFormatter = DateTimeFormatter.ofPattern("yyyyMMddHHmmss");
        return LocalDateTime.now().format(dateTimeFormatter) + StringUtils.leftPad(String.valueOf(orderId), 6, "0");
    }
}
