package com.younike.common.utils.id;

import java.util.Random;

/**
 * 订单核销码生成器
 *
 * @author dail
 */
public class RandomCodeGenerate {
    /**
     * 生成订单核销码（10位）
     *
     * @return 订单核销码
     */
    public static String getOrderVerificationCode() {
        return getRandomNumStr(10);
    }

    /**
     * 生成strLength位随机数字符串
     *
     * @return
     */
    private static String getRandomNumStr(int strLength) {
        String randomStr = String.valueOf(new Random().nextInt(1000000000));
        while (randomStr.length() < strLength) {
            String pow = String.valueOf(Math.pow(10, strLength - randomStr.length()));
            if (pow.contains(".")) {
                pow = pow.substring(0, pow.indexOf("."));
            }
            randomStr = randomStr + new Random().nextInt(Integer.parseInt(pow));
        }
        return randomStr;
    }
}
