package com.younike.hlpay.dto;


import com.google.common.collect.ImmutableSet;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Set;

/**
 * 合利宝退款回调通知
 *
 * @author dail
 */
@Setter
@Getter
@ToString
public class NotifyRefundResponseVo {

    private String rt1_customerNumber;

    private String rt2_orderId;

    private String rt3_refundOrderId;

    private String rt4_systemSerial;

    private String rt5_status;

    private String rt6_amount;

    private String rt7_currency;

    private String rt8_timestamp;

    private String rt11_desc;

    private String sign;

    /**
     * 需要加签的属性参数,要求加签的参数空值也签名
     * 看接口文档
     */
    public static final Set<String> NEED_SIGN_PARAMS = ImmutableSet.of("rt1_customerNumber", "rt2_orderId",
            "rt3_refundOrderId", "rt4_systemSerial", "rt5_status", "rt6_amount", "rt7_currency", "rt8_timestamp");
}
