package com.younike.hlpay.dto;


import com.google.common.collect.ImmutableSet;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.Set;

/**
 * 回调通知
 *
 * @author chenpengfei
 */
@Setter
@Getter
@ToString
public class NotifyResponseVo {

    private String rt1_customerNumber;
    private String rt2_orderId;
    private String rt3_systemSerial;
    private String rt4_status;
    private String rt5_orderAmount;
    private String rt6_currency;
    private String rt7_timestamp;
    private String rt8_desc;
    private String sign;

    /**
     * 需要加签的属性参数,要求加签的参数空值也签名
     * 看接口文档
     */
    public static final Set<String> NEED_SIGN_PARAMS = ImmutableSet.of("rt1_customerNumber", "rt2_orderId",
            "rt3_systemSerial", "rt4_status", "rt5_orderAmount", "rt6_currency", "rt7_timestamp", "rt8_desc");
}
