package com.younike.hlpay.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author chenpengfei
 */
@Data
@ApiModel("支付参数")
public class PaymentParam implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty("订单（信任开购买记录）ID")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    @ApiModelProperty("支付业务类型（001：订单支付；002：购买信任卡支付）")
    private String bizType;

    @ApiModelProperty("P4:支付类型（小程序：APPLET；公众号：PUBLIC；SDK：SDK预下单）")
    private String payType;

    @ApiModelProperty("P11:支付类型（微信：WXPAY；支付宝：ALIPAY）")
    private String appType;

    @ApiModelProperty("支付价格")
    private BigDecimal totalAmount;

    @ApiModelProperty("支付方式:支付方式code(001微信，002支付宝) ")
    private String PayWay;

    @Excel(name = "0商家 1个人")
    private Integer merchantType;
    /** 商户邮箱 */
    @Excel(name = "商户邮箱")
    private String email;

    /**商家可得金额*/
   private BigDecimal shopAmount;

   /**追加服务标识 0订单支付 1追加服务支付*/
   private Integer addType;

   private Integer modifyIndex;

    /**
     * 用户登录凭证
     *
     * 开发者需要在开发者服务器后台调用 auth.code2Session，使用 code 换取 openid、unionid、session_key 等信息
     */
    @ApiModelProperty("微信用户登录凭证")
    private String code;

    /**
     * 追加服务次数
     */
    private Integer addCountIndex;
}
