package com.younike.wxpay.params;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/** 分账参数 */
@Data
public class ProfitSharingParams {

    @NotBlank(message = "服务商appid不能为空")
    private String appid;

    /* 子商户appid */
    private String sub_appid;

    @NotBlank(message = "子商户号不能为空")
    private String sub_mchid;

    @NotBlank(message = "微信订单号不能为空")
    private String transaction_id;

    @NotBlank(message = "商户分账单号不能为空")
    private String out_trade_no;

    @NotEmpty(message = "分账接收方列表不能为空")
    private List<Receiver> receivers;

    @NotNull(message = "是否解冻剩余金额不能为空")
    private Boolean unfreeze_unsplit;

}
