package com.younike.system.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 门岗通行证对象
 *
 * @author dail
 * @date 2022-04-14
 */
@Data
public class AccessPasscode extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 门岗通行证id
     */
    private Long accessPasscodeId;

    /**
     * 二维码url
     */
    private String qrCodeUrl;

    /**
     * 订单id
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /**
     * 订单编号
     */
    private String orderIndex;

    /**
     * 商家id
     */
    private Long merchantId;

    /**
     * 团购订单核销码
     */
    private String orderVerificationCode;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    private String delFlag;
}
