package com.younike.system.domain;

import java.math.BigDecimal;
import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 保证金充值对象 bond_payment
 * 
 * @author elev
 * @date 2022-01-24
 */
@Data
public class BondPayment extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String paymentId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long merchantId;

    /** 支付订单号 */
    @Excel(name = "支付订单号")
    private String orderNo;

    /** 支付方式code */
    @Excel(name = "支付方式code")
    private String payType;

    /** 充值前金额 */
    @Excel(name = "充值前金额")
    private BigDecimal bondBefore;

    /** 充值后金额 */
    @Excel(name = "充值后金额")
    private BigDecimal bondAfter;

    /** 充值金额 */
    @Excel(name = "充值金额")
    private BigDecimal bondMoney;

    /** 支付状态code */
    @Excel(name = "支付状态code")
    private String bondState;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;


}
