package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 分类对象 category
 * 
 * @author elev
 * @date 2022-01-04
 */
@Data
public class Category extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long categoryId;

    /**
     * 业务类型（1：家政；2：维修）
     */
    private Integer bizType;

    /** 分类名称 */
    @Excel(name = "分类名称")
    private String categoryName;

    /** 父分类ID */
    @Excel(name = "父分类ID")
    private String parentId;

    /** 图标 */
    @Excel(name = "图标")
    private String icon;

    /** 应用的url地址 */
    @Excel(name = "应用的url地址")
    private String url;

    /** 1启用 0关闭 */
    @Excel(name = "1启用 0关闭")
    private Integer isEnable;

    /** 首页是否显示 */
    @Excel(name = "首页是否显示")
    private Integer indexShow;

    /** 1 商家 2 商品 0 一级 3 外链 */
    @Excel(name = "1 商家 2 商品 0 一级 3 外链")
    private Integer type;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sorting;

    /** 删除标志（0代表存在 2代表删除） */
    private Integer delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;


}
