package com.younike.system.domain;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;
/**
 * 商品评价对象 goods_comment
 *
 * @author elev
 * @date 2022-01-05
 */
@Data
public class GoodsComment extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long commontId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long memberId;

    /** 服务人员ID */
    @Excel(name = "服务人员ID")
    private Long serverId;

    /** 订单ID */
    @Excel(name = "订单ID")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /** 商户ID */
    @Excel(name = "商户ID")
    private Long merchantId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private String goodsId;

    /** 评价内容 */
    @Excel(name = "评价内容")
    private String content;

    /** 商品评分 */
    @Excel(name = "商品评分")
    private BigDecimal score;

    /** 商家回复 */
    @Excel(name = "商家回复")
    private String reply;

    /** $column.columnComment */
    @Excel(name = "商家回复")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime replyTime;

    /** 追评 */
    @Excel(name = "追评")
    private String reContent;

    /** $column.columnComment */
    @Excel(name = "追评")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime reContentTime;

    /** 是否匿名（0：否(默认)，1：是） */
    @Excel(name = "是否匿名", readConverterExp = "0=：否(默认)，1：是")
    private Integer isAnonymous;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;


}
