package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 商品服务人员信息对象 goods_server
 * 
 * @author elev
 * @date 2022-01-12
 */
@Data
public class GoodsServer extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 商品ID */
    private Long goodsId;

    /** 服务人员ID */
    @Excel(name = "服务人员ID")
    private Long serverId;

    /** 商品服务人员单价 */
    @Excel(name = "商品服务人员单价")
    private BigDecimal goodsServerPrice;

    /** 下架时间 */
    @Excel(name = "下架时间")
    private LocalDateTime unshelveTime;

    /** 下架原因 */
    @Excel(name = "下架原因")
    private String unshelveReason;

    /** 下标排序 */
    @Excel(name = "下标排序")
    private Integer sorting;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;

    /** 商品服务人员头像url */
    @Excel(name = "商品服务人员头像url")
    private String serverImgUrl;


}
