package com.younike.system.domain;

import java.math.BigDecimal;
import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 商品服务评价统计对象 goods_server_dimension
 *
 * @author elev
 * @date 2022-01-07
 */
@Data
public class GoodsServerDimension extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 商品id */
    @Excel(name = "商品id")
    private Long goodsId;

    /** 维度id */
    @Excel(name = "维度id")
    private String dimensionId;

    /** 统计评分 */
    @Excel(name = "统计评分")
    private BigDecimal score;

    /** 服务人员Id */
    @Excel(name = "服务人员Id")
    private Long serverId;

    /** 删除状态 */
    @Excel(name = "删除状态")
    private Integer isDel;

    /** 乐观锁版本号 */
    @Excel(name = "乐观锁版本号")
    private Integer version;


}
