package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 团购商品规格对象 goods_specification
 * 
 * @author dail
 * @date 2022-03-11
 */
@Data
public class GoodsSpecification extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 商品规格id */
    private Long goodsSpecificationId;

    /** 规格描述 */
    @Excel(name = "规格描述")
    private String specificationDesc;

    /** 次数 */
    @Excel(name = "次数")
    private Integer times;

    /** 现价(元) */
    @Excel(name = "现价(元)")
    private BigDecimal currentPrice;

    /** 划线价(元) */
    @Excel(name = "划线价(元)")
    private BigDecimal scribingPrice;

    /** 商品id */
    @Excel(name = "商品id")
    private Long goodsId;

    /** 商家id */
    @Excel(name = "商家id")
    private Long merchantId;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;


}
