package com.younike.system.domain;

import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 会员对象 member
 * 
 * @author zulu.chen
 * @date 2022-01-04
 */
@Data
public class Member extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 用户Id */
    private Long memberId;

    /** 用户手机号 */
    @Excel(name = "用户手机号")
    private String phone;

    /** 微信openId */
    @Excel(name = "微信openId")
    private String openId;

    /** 苹果登录id */
    @Excel(name = "苹果登录id")
    private String appleId;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nikeName;

    /** 姓名 */
    @Excel(name = "姓名")
    private String realName;

    /** 性别（0女 1男） */
    @Excel(name = "性别", readConverterExp = "0=女,1=男")
    private Integer sex;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    /** 关闭时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "关闭时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDateTime closeTime;

    /** 关闭原因 */
    @Excel(name = "关闭原因")
    private String closeReason;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    /** 帐号状态（0正常 1停用） */
    @Excel(name = "帐号状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 最后登录IP */
    @Excel(name = "最后登录IP")
    private String loginIp;

    /** 最后登录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "最后登录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDateTime loginDate;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;


}
