package com.younike.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 会员服务地址对象 member_address
 *
 * @author elev
 * @date 2022-01-04
 */
@Data
public class MemberAddress extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long addressId;

    /**
     * 会员id
     */
    @Excel(name = "会员id")
    private Long memberId;

    /**
     * 区域
     */
    @Excel(name = "区域")
    private Integer areaId;

    /**
     * 城市
     */
    @Excel(name = "城市")
    private Integer cityId;

    /**
     * 省份
     */
    @Excel(name = "省份")
    private Integer provinceId;

    /**
     * 地址详情
     */
    @Excel(name = "地址详情")
    private String address;

    /**
     * 门牌号
     */
    @Excel(name = "门牌号")
    private String detailed;

    /**
     * 性别，0-女；1-男
     */
    @Excel(name = "性别，0-女；1-男")
    private Integer sex;

    /**
     * 经度
     */
    @Excel(name = "经度")
    private BigDecimal longitude;

    /**
     * 纬度
     */
    @Excel(name = "纬度")
    private BigDecimal latitude;

    /**
     * 地址标签
     */
    @Excel(name = "地址标签")
    private String tagType;

    /**
     * 联系人姓名
     */
    @Excel(name = "联系人姓名")
    private String name;

    /**
     * 手机号
     */
    @Excel(name = "手机号")
    private String phone;

    /**
     * 默认收货地址 1默认
     */
    @Excel(name = "默认收货地址 1默认")
    private Integer isDefault;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    /**
     * 最后登录IP
     */
    @Excel(name = "最后登录IP")
    private String loginIp;

    /**
     * 最后登录时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最后登录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date loginDate;

    /**
     * 预留字段1
     */
    @Excel(name = "预留字段1")
    private String column1;

    /**
     * 预留字段2
     */
    @Excel(name = "预留字段2")
    private String column2;

    /**
     * 预留字段2
     */
    @Excel(name = "预留字段2")
    private String column3;


}

