package com.younike.system.domain;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 商户结算记录对象 merchant_settle_record
 * 
 * @author elev
 * @date 2022-01-10
 */
@Data
public class MerchantSettleRecord extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 结算主键 */
    private String settleId;

    /** 店铺ID */
    @Excel(name = "店铺ID")
    private Long merchantId;

    /** 结算金额 */
    @Excel(name = "结算金额")
    private BigDecimal amount;

    /** 结算请求返回状态 */
    @Excel(name = "结算请求返回状态")
    private String retCode;

    /** 结算请求返回消息 */
    @Excel(name = "结算请求返回消息")
    private String retMsg;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 最后登录IP */
    @Excel(name = "最后登录IP")
    private String loginIp;

    /** 最后登录时间 */
    @Excel(name = "最后登录时间")
    private LocalDateTime loginDate;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;


}
