package com.younike.system.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 订单服务地址对象 order_address
 * 
 * @author elev
 * @date 2022-01-07
 */
@Data
public class OrderAddress extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 订单ID */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /** 服务地址ID */
    @Excel(name = "服务地址ID")
    private Long addressId;

    /** 服务地址详情（下单时冗余） */
    @Excel(name = "服务地址详情", readConverterExp = "下=单时冗余")
    private String address;

    /** 门牌号（下单时冗余） */
    @Excel(name = "门牌号", readConverterExp = "下=单时冗余")
    private String detailed;

    /** 服务地址经度 */
    @Excel(name = "服务地址经度")
    private BigDecimal addressLongitude;

    /** 服务地址纬度 */
    @Excel(name = "服务地址纬度")
    private BigDecimal addressLatitude;

    /** 顾客姓名 */
    @Excel(name = "顾客姓名")
    private String name;

    /** 性别（0女 1男） */
    @Excel(name = "性别", readConverterExp = "0=女,1=男")
    private Integer sex;

    /** 顾客手机号 */
    @Excel(name = "顾客手机号")
    private String phone;

    /** 用户隐私号 */
    @Excel(name = "用户隐私号")
    private String privacyUser;

    /** 分机号 */
    @Excel(name = "分机号")
    private String extensionNo;

    /** 关系号 */
    @Excel(name = "关系号")
    private String subsId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 最后登录IP */
    @Excel(name = "最后登录IP")
    private String loginIp;

    /** 最后登录时间 */
    @Excel(name = "最后登录时间")
    private LocalDateTime loginDate;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;


}
