package com.younike.system.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 订单商品对象 order_goods
 *
 * @author elev
 * @date 2022-01-06
 */
@Data
public class OrderGoods extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 订单ID */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long goodsId;

    /** 商品分类 */
    @Excel(name = "商品分类id")
    private Long cateId;

    /** 服务人员ID */
    @Excel(name = "服务人员ID")
    private Long serverId;

    /** 商品数量 */
    @Excel(name = "商品数量")
    private Integer goodsCounts;

    /** 追加服务数量 */
    @Excel(name = "追加服务数量")
    private Integer addCounts;

    /** 商品单价，商家端可改单价 */
    @Excel(name = "商品单价，商家端可改单价")
    private BigDecimal price;

    /** 单次服务标准时长（小时）（冗余） */
    @Excel(name = "单次服务标准时长", readConverterExp = "小=时")
    private BigDecimal singleTime;

    /** 商品金币（冗余） */
    @Excel(name = "商品金币", readConverterExp = "冗=余")
    private Long coin;

    /** 商品名称（冗余） */
    @Excel(name = "商品名称", readConverterExp = "冗=余")
    private String name;

    /** 商品单位（code）（冗余） */
    @Excel(name = "商品单位", readConverterExp = "c=ode")
    private String goodsUnit;

    /** 报价单位(code为099其他时，手填单位) */
    @Excel(name = "报价单位(code为099其他时，手填单位)", readConverterExp = "c=ode")
    private String otherUnit;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 最后登录IP */
    @Excel(name = "最后登录IP")
    private String loginIp;

    /** 最后登录时间 */
    @Excel(name = "最后登录时间")
    private LocalDateTime loginDate;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;

    /**任务id*/
    private Long publishId;

    /** 商品规格id */
    @Excel(name = "商品规格id")
    private Long goodsSpecificationId;

}
