package com.younike.system.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 订单服务人员关联对象 order_goods_server
 * 
 * @author elev
 * @date 2022-01-10
 */
@Data
public class OrderGoodsServer extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /** 服务人员ID */
    @Excel(name = "服务人员ID")
    private Long serverId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long goodsId;

    /** 商品数量 */
    @Excel(name = "商品数量")
    private Integer goodsCounts;

    /** 单次服务标准时长（小时）（冗余） */
    @Excel(name = "单次服务标准时长", readConverterExp = "小=时")
    private BigDecimal singleTime;

    /** 商品金币（冗余） */
    @Excel(name = "商品金币", readConverterExp = "冗=余")
    private Long goodsCoin;

    /** 商品名称（冗余） */
    @Excel(name = "商品名称", readConverterExp = "冗=余")
    private String goodsName;

    /** 商品服务人员单价（冗余） */
    @Excel(name = "商品服务人员单价", readConverterExp = "冗=余")
    private BigDecimal goodsServerPrice;

    /** 商品单位（code）（冗余） */
    @Excel(name = "商品单位", readConverterExp = "c=ode")
    private String goodsUnit;

    /** 服务人员姓名 */
    @Excel(name = "服务人员姓名")
    private String serverName;

    /** 服务人员性别（0女 1男） */
    @Excel(name = "服务人员性别", readConverterExp = "0=女,1=男")
    private Integer serverSex;

    /** 工龄 */
    @Excel(name = "工龄")
    private Integer serverAge;

    /** 服务人员头像 */
    @Excel(name = "服务人员头像")
    private String serverAvatar;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 最后登录IP */
    @Excel(name = "最后登录IP")
    private String loginIp;

    /** 最后登录时间 */
    @Excel(name = "最后登录时间")
    private LocalDateTime loginDate;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;

    /** 所属商铺ID */
    @Excel(name = "所属商铺ID")
    private String merchantId;


}
