package com.younike.system.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 订单修改记录对象 order_modify
 * 
 * @author elev
 * @date 2022-02-10
 */
@Data
public class OrderModify extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 记录ID */
    private Long recordId;

    /** 订单ID */
    @Excel(name = "订单ID")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /** 修改编号（1开始，每个订单的修改自增） */
    @Excel(name = "修改编号", readConverterExp = "1=开始，每个订单的修改自增")
    private Integer modifyIndex;

    /** 原单价 */
    @Excel(name = "原单价")
    private BigDecimal originalPrice;

    /** 修改后单价 */
    @Excel(name = "修改后单价")
    private BigDecimal modifyPrice;


}
