package com.younike.system.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 订单支付支付串对象 order_payment
 *
 * @author elev
 * @date 2022-01-20
 */
@Data
public class OrderPayment extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /** 微信支付 */
    @Excel(name = "微信支付")
    private String wxPayStr;

    /** 微信追加支付 */
    @Excel(name = "微信追加支付")
    private String wxAddPayStr;

    /** 支付宝追加支付 */
    @Excel(name = "支付宝追加支付")
    private String aliAddPayStr;

    /** 支付宝支付 */
    @Excel(name = "支付宝支付")
    private String aliPayStr;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;

    /**追加服务次数*/
    @Excel(name = "追加服务次数")
    private Integer addCountIndex;

}
