package com.younike.system.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 订单记录对象 order_record
 * 
 * @author elev
 * @date 2022-01-08
 */
@Data
public class OrderRecord extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 订单ID */
    @Excel(name = "订单ID")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /** 原始订单状态 */
    @Excel(name = "原始订单状态")
    private String preState;

    /** 当前订单状态 */
    @Excel(name = "当前订单状态")
    private String nowState;

    /** 操作信息（订单状态无变化，仅记录操作，如：追加服务） */
    @Excel(name = "操作信息（订单状态无变化，仅记录操作，如：追加服务）")
    private String operateInfo;

}
