package com.younike.system.domain;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 订单统计
 */
@Data
public class OrderStat implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 订单ID */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /** 商品ID */
    private Long goodsId;

    /** 服务人员ID */
    private Long serverId;

    /**
     * 所属商铺ID
     */
    private Long merchantId;

    /**
     * 商品评分
     * 关联GoodsComment表，一对一
     */
    private BigDecimal score;

    /**
     * 服务维度评价
     */
    private List<GoodsCommentDimension> goodsCommentDimensionList;

}
