package com.younike.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 团购订单核销记录对象 order_verification_record
 *
 * @author dail
 * @date 2022-03-14
 */
@Data
public class OrderVerificationRecord extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 团购订单核销记录id */
    private Long orderVerificationRecordId;

    /** 订单id */
    @Excel(name = "订单id")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /** 会员id */
    @Excel(name = "会员id")
    private Long memberId;

    /** 服务人员id */
    @Excel(name = "服务人员id")
    private Long serverId;

    /** 预约时间 */
    @Excel(name = "预约时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime appointmentTime;

    /** 预约状态(001：待核销；002：已核销；) */
    @Excel(name = "预约状态(001：待核销；002：已核销；)")
    private String appointmentStatus;

    /** 订单核销码 */
    @Excel(name = "订单核销码")
    private String orderVerificationCode;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;


}
