package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 个体户账单结算信息对象
 *
 * @author dail
 * @date 2022-03-02
 */
@Data
public class PersonalMerchantSettle extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 个体户账单结算id
     */
    @Excel(name = "账单结算ID")
    private Long personalMerchantSettleId;

    /**
     * 结算年月
     */
    @Excel(name = "月份")
    private String yearMonth;

    /**
     * 商家id
     */
    private Long merchantId;

    /**
     * 商家/个体户编号
     */
    @Excel(name = "商家编号")
    private String merchantIndex;

    /**
     * 商家名称
     */
    @Excel(name = "商家名称")
    private String merchantName;


    /**
     * 状态(001：待结算；002：已支付；)
     */
    private String settleStatus;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    /**
     * "0商家 1个人"
     */
    private Integer merchantType;

    @Excel(name = "预定服务订单收入(元)")
    private BigDecimal reserveIncome;

    @Excel(name = "团购服务核销次数")
    private Integer groupTimes;

    @Excel(name = "团购服务已核销金额(元)")
    private BigDecimal groupIncome;

    /**
     * 实际收入(元)
     */
    @Excel(name = "可结算金额(元)")
    private BigDecimal actualIncome;

//    @Excel(name = "备注")
    private String remark;

}
