package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 发布需求对象 publish
 *
 * @author elev
 * @date 2022-01-20
 */
@Data
public class Publish extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 发布需求ID */
    private Long publishId;

    /** 分类ID */
    @Excel(name = "分类ID")
    private Long cateId;

    /** 一级分类ID */
    @Excel(name = "一级分类ID")
    private Long parentCateId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long memberId;

    /** 需求标题 */
    @Excel(name = "需求标题")
    private String name;

    /** 需求描述 */
    @Excel(name = "需求描述")
    private String publishDesc;

    /** 发布状态 code（001待预约，002已预约，003已完成，004已下架） */
    @Excel(name = "发布状态 code")
    private String publishState;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 中标商家 */
    @Excel(name = "中标商家")
    private Long bidMerchantId;

    /** 中标用户 */
    @Excel(name = "中标用户")
    private Long bidServerUserId;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;


}
