package com.younike.system.domain;

import java.math.BigDecimal;
import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 需求报价对象 publish_quote
 *
 * @author elev
 * @date 2022-01-20
 */
@Data
public class PublishQuote extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 需求报价ID */
    private Long quoteId;

    /** 需求ID */
    private Long publishId;

    /** 报价服务人员ID */
    @Excel(name = "报价服务人员ID")
    private Long serverUserId;

    /** 服务商户ID */
    private Long merchantId;

    /** 报价描述 */
    @Excel(name = "报价描述")
    private String quoteDesc;

    /** 报价单位（code） */
    @Excel(name = "报价单位", readConverterExp = "code")
    private String quoteUnit;

    /** 报价单位(code为099其他时，手填单位) */
    /**后进行单位管理。code为999时为其他，手填单位*/
    @Excel(name = "报价单位(code为099其他时，手填单位)")
    private String otherUnit;

    /** 报价单价 */
    @Excel(name = "报价单价")
    private BigDecimal singlePrice;

    /** 单次服务标准时长（小时） */
    @Excel(name = "单次服务标准时长", readConverterExp = "小=时")
    private BigDecimal singleTime;

    /** 报价数量 */
    @Excel(name = "报价数量")
    private Integer quoteCounts;

    /** 报价总价 */
    @Excel(name = "报价总价")
    private BigDecimal totalPrice;

    /** 服务总时长（小时） */
    @Excel(name = "服务总时长", readConverterExp = "小=时")
    private BigDecimal totalTime;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;
}
