package com.younike.system.domain;

import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 报价留言回复对象 publish_quote_reply
 *
 * @author elev
 * @date 2022-01-20
 */
@Data
public class PublishQuoteReply extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 报价回复ID */
    private Long replyId;

    /** 需求报价ID */
    @Excel(name = "需求报价ID")
    private Long quoteId;

    /** 回复回复ID */
    @Excel(name = "回复回复ID")
    private Long reReplyId;

    /** 报价服务人员ID */
    @Excel(name = "报价服务人员ID")
    private Long serverUserId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long memberId;

    /** 回复标志（0代表顾客回复 1代表服务人员回复） */
    @Excel(name = "回复标志", readConverterExp = "0=代表顾客回复,1=代表服务人员回复")
    private String replyType;

    /** 回复内容 */
    @Excel(name = "回复内容")
    private String replyDesc;

    /** 已读标志（0代表未读 1代表已读） */
    @Excel(name = "已读标志", readConverterExp = "0=代表未读,1=代表已读")
    private String readFlag;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;

    /** 顾客昵称 */
    @Excel(name = "预留字段2")
    private String nikeName;


}
