package com.younike.system.domain;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 服务人员服务时间对象 server_time
 *
 * @author elev
 * @date 2022-01-10
 */
@Data
public class ServerTime extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 服务人员ID */
    private Long serverId;

    /** 停止接单（0不停止；1停止） */
    @Excel(name = "停止接单", readConverterExp = "0=不停止；1停止")
    private Integer stopOrder;

    /** 是否允许服务人员编辑接单时间（0不允许 1允许） */
    @Excel(name = "是否允许服务人员编辑接单时间", readConverterExp = "0=不允许,1=允许")
    private Integer allowEdit;

    /** 服务间隔时长 */
    @Excel(name = "服务间隔时长")
    private BigDecimal serverGrap;

    /** 最后登录IP */
    @Excel(name = "最后登录IP")
    private String loginIp;

    /** 最后登录时间 */
    @Excel(name = "最后登录时间")
    private LocalDateTime loginDate;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;

    private Long currentUser;
}
