package com.younike.system.domain;

import java.time.LocalDateTime;
import java.time.LocalTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 服务人员预约信息对象 server_time_book
 * 
 * @author chenpf
 * @date 2022-02-17
 */
@Data
public class ServerTimeBook extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 服务人员id */
    @Excel(name = "服务人员id")
    private Long serverId;

    /** 服务日期 */
    @Excel(name = "服务日期")
    private LocalDateTime serverDate;

    /** 周几（0～6） */
    @Excel(name = "周几", readConverterExp = "0=～6")
    private Integer week;

    /** 服务段开始时间（如9点） */
    @Excel(name = "服务段开始时间", readConverterExp = "如=9点")
    private LocalTime startTime;

    /** 服务段结束时间（如9点） */
    @Excel(name = "服务段结束时间", readConverterExp = "如=9点")
    private LocalTime endTime;

    /** 1:已预约；0:未预约 */
    @Excel(name = "1:已预约；0:未预约")
    private Integer booked;


}
