package com.younike.system.domain;

import java.time.LocalDateTime;
import java.time.LocalTime;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 服务人员服务时间段对象 server_time_section
 *
 * @author elev
 * @date 2022-01-10
 */
@Data
public class ServerTimeSection extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long sectionId;

    /** 服务人员ID */
    @Excel(name = "服务人员ID")
    private String serverId;

    /** 工作日 */
    @Excel(name = "工作日")
    private String weeks;

    /** 开始时间 */
    @Excel(name = "开始时间")
    @JsonFormat(pattern = "HH:mm:ss")
    private LocalTime hoursFrom;

    /** 结束时间 */
    @Excel(name = "结束时间")
    @JsonFormat(pattern = "HH:mm:ss")
    private LocalTime hoursEnd;

    /** 是否启用 0不启用 1启用 */
    private String isEnable;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;


}
