package com.younike.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 服务人员对象 server_user
 *
 * @author elev
 * @date 2022-01-06
 */
@Data
public class ServerUser extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 服务人员ID */
    private Long serverId;

    /** 所属商铺ID */
    @Excel(name = "所属商铺ID")
    private Long merchantId;

    /** 工龄 */
    @Excel(name = "工龄")
    private Integer serverAge;

    /** 成交单量（统计量） */
    @Excel(name = "成交单量", readConverterExp = "统=计量")
    private Integer orderCount;
    /** 综合评分（统计量） */
    @Excel(name = "综合评分（统计量）", readConverterExp = "综合评分（统计量）")
    private BigDecimal score;
    /** 好评率（4分及以上为好评）（统计量） */
    @Excel(name = "好评率（4分及以上为好评）（统计量）", readConverterExp = "好评率（4分及以上为好评）（统计量）")
    private BigDecimal rate;

    /** 家政等级（code） */
    @Excel(name = "家政等级", readConverterExp = "c=ode")
    private String serverLevel;
    /** 个人简介 */
    @Excel(name = "个人简介")
    private String desc;

    /** 用户手机号 */
    @Excel(name = "用户手机号")
    private String phone;

    /** 微信openId */
    @Excel(name = "微信openId")
    private String openId;

    /** 苹果登录id */
    @Excel(name = "苹果登录id")
    private String appleId;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nikeName;

    /** 姓名 */
    @Excel(name = "姓名")
    private String realName;

    /** 年龄 */
    @Excel(name = "年龄")
    private Integer age;

    /** 性别（0女 1男） */
    @Excel(name = "性别", readConverterExp = "0=女,1=男")
    private Integer sex;

    /** 1 关注全部，0 非全部 **/
    private Integer followAll;

    /** 头像 */
    @Excel(name = "头像")
    private String avatar;

    /** 关闭时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "关闭时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDateTime closeTime;

    /** 关闭原因 */
    @Excel(name = "关闭原因")
    private String closeReason;

    /** 密码 */
    @Excel(name = "密码")
    private String password;

    /** 帐号状态（0正常 1停用） */
    @Excel(name = "帐号状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 最后登录IP */
    @Excel(name = "最后登录IP")
    private String loginIp;

    /** 最后登录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "最后登录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDateTime loginDate;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;
    /** 是否停止接单 */
    @Excel(name = "是否停止接单")
    private String StopOrderFor;

}
