package com.younike.system.domain;

import java.io.Serializable;
import java.time.LocalDateTime;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.annotation.Excel;
import lombok.Data;
import com.younike.common.core.domain.BaseEntity;

/**
 * 任务日志对象 task_log
 * 
 * @author chenpf
 * @date 2022-01-06
 */
@Data
public class TaskLog implements Serializable {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 任务名 */
    @Excel(name = "任务名")
    private String taskName;

    /** 任务参数 */
    @Excel(name = "任务参数")
    private String taskParam;

    /** 任务信息 */
    @Excel(name = "任务信息")
    private String taskInfo;

    /** 0失败，1成功 */
    @Excel(name = "0失败，1成功")
    private Integer taskResult;

    /** 异常日志 */
    @Excel(name = "异常日志")
    private String errorLog;

    /** 执行时间 */
    @Excel(name = "执行时间")
    private LocalDateTime executionTime;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;

}
