package com.younike.system.domain;

import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 优金豆变动记录对象
 *
 * @author dail
 * @date 2022-03-02
 */
@Data
public class UjdChangeRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 优金豆变动记录id
     */
    private Long ujdChangeRecordId;

    /**
     * 优金豆变更动数量(个)
     */
    private Integer changeQty;

    /**
     * 变动类型(001：保证金充值；002：商品评价支出；003下单使用优金豆抵扣；004会员退款退回优金豆)
     */
    private String changeType;

    /**
     * 变动属性(0：支出；1：收入；)
     */
    private String changeProperty;

    /**
     * 商家/个体户id
     */
    private Long merchantId;

    /**
     * 商家/个体户编号
     */
    private String merchantIndex;

    /**
     * 商家店铺名称/个体户姓名
     */
    private String merchantName;

    /**
     * 服务id
     */
    private Long goodsId;

    /**
     * 服务编号
     */
    private String goodsIndex;

    /**
     * 服务名称
     */
    private String goodsName;

    /**
     * 交易单号(充值优金豆支付时产生)
     */
    private String tradeNo;

    /**
     * 变动时间
     */
    private LocalDateTime changeTime;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    /**
     * 备注
     */
    private String remark;

}
