package com.younike.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.system.domain.AccessPasscode;
import com.younike.system.domain.AccessPasscodeVerifyRecord;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 门岗通行记录
 */
@Data
public class AccessPasscodeVO extends AccessPasscodeVerifyRecord {


    /**
     * 二维码url
     */
    private String qrCodeUrl;

    /**
     * 订单id
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /**
     * 订单编号
     */
    private String orderIndex;

    /**
     * 订单类型 code 001家政 002维修 003家政团购
     */
    private String orderType;

    /**
     * 商家id
     */
    private Long merchantId;

    /**
     *商家编号
     */
    private String merchantIndex;

    /*
    * 服务主题类型
    * 商家标识（0商家，1个人）
    */
    private Integer merchantType;

    /**
     * 商家姓名
     */
    private String merchantName;

    /**
     * 服务地址
     */
    private String address;

    /**
     * 服务门牌号
     */
    private String detailed;
    /**
     * 服务主题
     */
    private String goodsName;
    /**
     * 服务人员手机号
     */
    private String serverPhone;
    /**
     * 服务人员姓名
     */
    private String serverName;
    /**
     * 顾客名称
     */
    private String   memberName;

    /**
     * 顾客手机号
     */
    private String memberPhone;


    /**
     * 预约起始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime appointmentStartTime;

    /**
     * 团购预约起始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime appointmentTime;

    /**
     *检索起始时间
     */
    private String beginTime;
    /**
     * 检索结束时间
     */
    private String endTime;


}
