package com.younike.system.domain.vo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 服务评价管理
 * @author jubs
 */
@Data
public class GoodsCommentsVO extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long commontId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long memberId;

    /** 服务人员ID */
    @Excel(name = "服务人员ID")
    private Long serverId;

    /** 订单ID */
    @Excel(name = "订单ID")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /** 商户ID */
    @Excel(name = "商户ID")
    private Long merchantId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private String goodsId;

    /** 评价内容 */
    @Excel(name = "评价内容")
    private String content;

    /** 商品评分 */
    @Excel(name = "商品评分")
    private BigDecimal score;

    /** 商家回复 */
    @Excel(name = "商家回复")
    private String reply;

    /** $column.columnComment */
    @Excel(name = "商家回复")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String replyTime;

    /** 追评 */
    @Excel(name = "追评")
    private String reContent;

    /** $column.columnComment */
    @Excel(name = "追评")
    private LocalDateTime reContentTime;

    /** 是否匿名（0：否(默认)，1：是） */
    @Excel(name = "是否匿名", readConverterExp = "0=：否(默认)，1：是")
    private Integer isAnonymous;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;
    /** 商品评分 */
    @Excel(name = "商品评分")
    private String goodScore;
    /** 预留字段2 */
    @Excel(name = "服务人员手机号")
    private String phone;
    /** 预留字段2 */
    @Excel(name = "服务人员姓名")
    private String realName;
    /** 服务人员评分 */
    @Excel(name = "服务人员评分")
    private String serverUserScore;
    /** 服务主题 */
    @Excel(name = "服务主题")
    private String goodsName;
    /** 服务类型 */
    @Excel(name = "服务类型")
    private String categoryName;
    /** 各维度评价 */
    @Excel(name = "各维度评价")
    private String evaluate;
    /** 评分起始 */
    @Excel(name = "评分起始")
    private String scoreStart;
    /** 评分上限 */
    @Excel(name = "评分上限")
    private String scoreEnd;
    /** 查询评价时间 */
    @Excel(name = "查询评价时间")
    private String commentCreateTime;

    /**
     * 订单编号
     */
    private String orderIndex;
}
