package com.younike.system.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.math.BigDecimal;
import java.util.List;

@Data
public class GoodsFormVO {
    private Long goodsId;
    private String goodsIndex;
    @NotBlank(message = "服务主题不能为空")
    @Size(max = 30, message = "服务主题不能超出30个字符")
    private String name;
    @NotNull(message = "服务类型不能为空")
    private Long cateId;
//    @NotBlank(message = "轮播图不能为空")
    private String images;
    @NotBlank(message = "服务内容不能为空")
    private String serviceDesc;
    @NotBlank(message = "费用说明不能为空")
    private String priceDesc;
    @NotNull(message = "优金豆不能为空")
    private BigDecimal coin;
    @NotBlank(message = "报价单位不能为空")
    private String goodsUnit;
    private String otherUnit;
    @NotNull(message = "大概服务时长不能为空")
    private BigDecimal singleTime;
    @NotEmpty(message = "服务人员不能为空")
    private List<GoodsServerVO> serverUserList;
//    轮播图视频
    private String video;


}
