package com.younike.system.domain.vo;

import com.younike.common.annotation.Excel;
import com.younike.system.domain.Goods;
import com.younike.system.domain.GoodsImage;
import com.younike.system.domain.GoodsSpecification;
import com.younike.system.domain.Merchant;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class GoodsVo extends Goods {
    //商品资源数据
    private List<GoodsImage> goodsImageList;

    //单位
    private String monad;

    /**
     * 商品单位名称
     */
    private String goodsUnitName;

    //单价
    private BigDecimal goodsServerPrice;

    /**业务类型（1：家政；2：维修）*/
    private Integer bizType;

    /** 0商家 1个人 */
    private Integer merchantType;

    private Long adminId;

    /** 商户名称 */
    private String merchantName;

    /** 商户编号 */
    private String merchantIndex;

    /** 店龄 */
    private BigDecimal storeAge;

    /**营业状态 001营业中 002停止营业*/
    private String businessState;

    /**好评率*/
    private BigDecimal rate;

    /** 工龄 */
    private Integer serverAge;

    /** 家政等级（code） */
    private String serverLevel;

    /** 姓名 */
    private String realName;

    /**服务人员个人简介*/
    private String desc;

    /**服务人员综合评分*/
    private BigDecimal serverScore;

    /**服务人员电话*/
    private String phone;

    /**交易量*/
    private Integer orderCount;

    /**店铺信息*/
    private Merchant merchant;

    /**评价维度集合*/
    private List<GoodsServerDimensionVo> goodsServerDimensionList;

    /**
     * 服务人员数
     */
    private Integer serverUserCount;

    /**
     * 服务类型名称
     */
    private String categoryName;

    /**
     * 服务人员id
     */
    private Long serverId;

    /**
     * 用户手机号
     */
    private String phonenumber;

    /**
     * 服务人员头像
     */
    private String serverAvatar;

    /**
     * 服务人员是否停止接单（0不停止；1停止）
     */
    private Integer stopOrder;

    /**
     * 服务人员昵称
     */
    private String nikeName;

    /**
     * 服务规格列表
     */
    private List<GoodsSpecification> goodsSpecificationList;

    /**
     * 商品规格id
     */
    private Long goodsSpecificationId;

    /**
     * 规格描述
     */
    @Excel(name = "规格描述")
    private String specificationDesc;

    /**
     * 次数
     */
    @Excel(name = "次数")
    private Integer times;

    /**
     * 现价(元)
     */
    @Excel(name = "现价(元)")
    private BigDecimal currentPrice;

    /**
     * 划线价(元)
     */
    @Excel(name = "划线价(元)")
    private BigDecimal scribingPrice;

    /**
     * 服务图片
     */
    private String avatar;

    /**
     * 服务人员工作照
     */
    private String serverImgUrl;

    /**
     * 服务人员视频
     */
    private VideoVo videoVo;

    /**
     * 服务视频
     */
    private String video;
}
