package com.younike.system.domain.vo;

import com.younike.system.domain.GoodsImage;
import com.younike.system.domain.Order;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 会员订单对象
 *
 * @author dail
 * @date 2022-01-10
 */
@Data
public class MemberOrderVo extends Order {

    private static final long serialVersionUID = 1L;

    /**
     * 商品id
     */
    private Long goodsId;

    /**
     * 商品图片列表
     */
    private List<GoodsImage> goodsImageList;

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 订单状态名称
     */
    private String orderStateName;

    /**
     * 商品单位
     */
    private String goodsUnit;

    /**
     * 其他单位名称
     */
    private String otherUnit;

    /**
     * 商品单位名称
     */
    private String goodsUnitName;

    /**
     * 服务人员头像
     */
    private String serverAvatar;

    /**
     * 服务人员id
     */
    private Long serverId;

    /**
     * 服务人员名称
     */
    private String serverName;

    /**
     * 家政等级
     */
    private String serverLevel;

    /**
     * 家政等级名称
     */
    private String serverLevelName;

    /**
     * 好评率（4分及以上为好评）
     */
    private BigDecimal rate;

    /**
     * 工龄
     */
    private Integer serverAge;

    /**
     * 服务地址详情
     */
    private String address;

    /**
     * 门牌号
     */
    private String detailed;

    /**
     * 商品服务人员单价
     */
    private BigDecimal goodsServerPrice;

    /**
     * 商品数量
     */
    private Integer goodsCounts;

    /**
     * 追加服务数量
     */
    private String addCounts;

    /**
     * 评价id
     */
    private Long commentId;

    /**
     * 是否已经追评(0:否;1:是)
     */
    private String isAddComment;

    /**
     * 服务类别id
     */
    private Long cateId;

    /**
     * 商户类型(0:商家;1:个人)
     */
    private Integer merchantType;

    /**
     * 评论商品可得优金豆数
     */
    private BigDecimal coin;

    /**
     * 任务id
     */
    private Long publishId;

    /**
     * 团购次数
     */
    private Integer groupTimes;

    /**
     * 规格描述
     */
    private String specificationDesc;

    /**
     * 划线价(元)
     * scribing_price
     */
    private BigDecimal scribingPrice;

    /**
     * 商家头像
     */
    private String merchantAvatar;

    /**
     * 服务人员工作照
     */
    private String  serverImgUrl;
}
