package com.younike.system.domain.vo;

import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 会员端（首页、搜索）商家列表
 */
@Data
public class MerchantGoodsVo extends BaseEntity {
    /**
     * 商户ID
     */
    private Long merchantId;

    /**
     * 0商家 1个人
     */
    @Excel(name = "0商家 1个人")
    private Integer merchantType;

    /**
     * 商家编号(商家:SJ开头;个体户:GT开头;)
     */
    @Excel(name = "商家编号")
    private String merchantIndex;

    /**
     * 商户名称
     */
    @Excel(name = "商户名称")
    private String merchantName;

    @Excel(name = "店龄")
    private BigDecimal storeAge;

    /**
     * 头像
     */
    @Excel(name = "头像")
    private String avatar;


    /**
     * 商家评分
     */
    @Excel(name = "商家评分")
    private BigDecimal score;


    /**
     * 好评率
     */
    @Excel(name = "好评率")
    private BigDecimal rate;


    /**
     * 成交量（定时任务统计结果）
     */
    @Excel(name = "成交量", readConverterExp = "定=时任务统计结果")
    private Integer sales;


    /**
     * 店铺banner图片url
     */
    @Excel(name = "店铺banner图片url")
    private String bannerImgUrl;

    /**
     * 服务id
     */
    private Long goodsId;

    /**
     * 团购商品列表
     */
    private List<GoodsVo> goodsList;

    /**
     * 预定商品列表
     */
    private List<GoodsVo> groupGoodsList;
}
