package com.younike.system.domain.vo;

import com.younike.common.core.domain.entity.SysUser;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class MerchantModifyVO {

    @NotNull(message = "商家id不能为空")
    private Long merchantId;
    @NotBlank(message = "商家名称不能为空")
    private String merchantName;
    @NotNull(message = "商家地址不能为空")
    private AddressVO address;
    @NotNull(message = "服务距离不能为空")
    private BigDecimal serviceDistance;
    private String houseNumber;
    @NotBlank(message = "客服电话不能为空")
    private String serverPhone;
    @NotNull(message = "店龄不能为空")
    private BigDecimal storeAge;
    @NotBlank(message = "商家logo不能为空")
    private String avatar;
    @NotBlank(message = "商家Banner图不能为空")
    private String bannerImgUrl;
    private String merchantDesc;
    @NotNull(message = "订单总金额不能为空")
    private Integer orderTotalAmountShow;
    @NotNull(message = "是否允许多段时间组合服务不能为空")
    private Integer allowCompose;
    @NotNull(message = "用户信息不能为空")
    private SysUser user;

}
