package com.younike.system.domain.vo;

import com.younike.common.annotation.Excel;
import com.younike.system.domain.Order;
import com.younike.system.domain.OrderVerificationRecord;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 订单返回包装类
 */
@Data
public class OrderVo extends Order {
    /**
     * 店铺名称
     */
    private String merchantNameJoin;

    /**
     * 服务ID
     */
    private String goodsId;

    /**
     * 服务名称
     */
    private String goodsName;

    /**
     * 服务编号
     */
    private String goodsIndex;

    /**
     * 分类名称
     */
    private String categoryName;

    /**
     * 服务人员手机号
     */
    private String serverPhone;

    /**
     * 服务人员姓名
     */
    private String serverName;

    /**
     * 顾客手机号
     */
    private String memberPhone;

    /**
     * 商家类型
     */
    private Integer merchantType;

    /**
     * 商家编号
     */
    private String merchantIndex;

    /**
     * 状态名称
     */
    private String statusName;

    /**
     * 商品单价
     */
    private BigDecimal goodsServerPrice;

    /**
     * 数量
     */
    private Integer goodsCounts;

    /**
     * SysUser用户id
     */
    private Long adminId;

    /**
     * 任务id
     */
    private Long publishId;

    /**
     * 规格描述
     */
    private String specificationDesc;

    /**
     * 服务规格价格
     */
    private BigDecimal specificationCurrentPrice;

    /**
     * 次数  购买次数/剩余次数
     */
    private String times;

    /**
     *  团购服务订单收入(元)"
     */
    private BigDecimal groupIncome;

    /**
     * 核销次数
     */
    private Integer groupTimes;

    /**
     * 退款状态 005处理中
     */

    private String status;
}
