package com.younike.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import com.younike.system.domain.OrderVerificationRecord;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author 订单列表
 */
@Data
public class  OrdersVO extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 订单ID
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /**
     * 订单编号
     */
    @Excel(name = "订单编号")
    private String orderIndex;

    /**
     * 用户ID
     */
    @Excel(name = "用户ID")
    private Long memberId;

    /**
     * 用户ID
     */
    @Excel(name = "用户姓名")
    private String realName;

    /**
     * 商户ID
     */
    @Excel(name = "商户ID")
    private Long merchantId;

    /**
     * 商户类型
     */
    private Integer merchantType;


    /**
     * 商家编号
     */
    @Excel(name = "商家编号")
    private String merchantIndex;

    /**
     * 商铺名
     */
    @Excel(name = "商铺名")
    private String merchantName;

    /**
     * 订单类型 code
     */
    @Excel(name = "订单类型 code")
    private String orderType;

    /**
     * 订单状态 code
     */
    @Excel(name = "订单状态 code")
    private String orderState;

    /**
     * 预约起始时间
     */
    @Excel(name = "预约起始时间", width = 30, dateFormat = "yyyy-MM-dd hh:mm")
    private Date appointmentStartTime;

    /**
     * 预约结束时间
     */
    @Excel(name = "预约结束时间", width = 30, dateFormat = "yyyy-MM-dd hh:mm")
    private Date appointmentEndTime;

    /**
     * 服务实际起始时间
     */
    @Excel(name = "服务实际起始时间", width = 30, dateFormat = "yyyy-MM-dd hh:mm")
    private Date serviceStartTime;

    /**
     * 服务实际结束时间
     */
    @Excel(name = "服务实际结束时间", width = 30, dateFormat = "yyyy-MM-dd hh:mm")
    private Date serviceEndTime;

    /**
     * 服务打卡经度
     */
    @Excel(name = "服务打卡经度")
    private BigDecimal serviceLongitude;

    /**
     * 服务打卡纬度
     */
    @Excel(name = "服务打卡纬度")
    private BigDecimal serviceLatitude;

    /**
     * 店铺可得
     */
    @Excel(name = "店铺可得")
    private BigDecimal shopAmount;

    /**
     * 是否已结算
     */
    @Excel(name = "是否已结算")
    private Integer isSettle;

    /**
     * 订单金额
     */
    @Excel(name = "订单金额")
    private BigDecimal orderAmount;

    /**
     * 优金豆抵扣
     */
    @Excel(name = "优金豆抵扣")
    private Integer beanAmount;

    /**
     * 用户优惠券ID
     */
    @Excel(name = "用户优惠券ID")
    private String memberCouponId;

    /**
     * 优惠金额
     */
    @Excel(name = "优惠金额")
    private BigDecimal couponAmount;

    /**
     * 实付总价
     */
    @Excel(name = "实付总价")
    private BigDecimal totalAmount;

    /**
     * 支付方式 code
     */
    @Excel(name = "支付方式 code")
    private String payWay;

    /**
     * 订单备注
     */
    @Excel(name = "订单备注")
    private String memo;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    /**
     * 最后登录IP
     */
    @Excel(name = "最后登录IP")
    private String loginIp;

    /**
     * 最后登录时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最后登录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date loginDate;


    /**
     * 预留字段1
     */
    @Excel(name = "预留字段1")
    private String column1;

    /**
     * 预留字段2
     */
    @Excel(name = "预留字段2")
    private String column2;

    /**
     * 预留字段2
     */
    @Excel(name = "预留字段2")
    private String column3;

    /**
     * 服务id
     */
    private Long goodsId;

    /**
     * 服务规格id
     */
    private Long goodsSpecificationId;

    /**
     * 团购服务次数
     */
    private Integer groupTimes;

    /**
     * 团购服务剩余次数
     */
    private Integer groupRemainingTimes;

    /**
     * 服务规格描述
     */
    private String specificationDesc;

    /**
     * 服务规格价格
     */
    private BigDecimal specificationCurrentPrice;

    /**
     * 服务规格次数
     */
    private String times;

    /**
     * 服务主题
     */
    @Excel(name = "服务主题")
    private String goodsName;

    /**
     * 服务编号
     */
    @Excel(name = "服务编号")
    private String goodsIndex;

    /**
     * 预设报价单位
     */
    @Excel(name = "预设报价单位")
    private String goodsUnit;
    /**
     * 其他报价单位
     */
    @Excel(name = "其他报价单位")
    private String otherUnit;

    /**
     * 用户电话
     */
    @Excel(name = "用户电话")
    private String memberPhone;

    /**
     * 服务类型
     */
    @Excel(name = "服务类型")
    private String categoryName;

    /**
     * 商品数量
     */
    @Excel(name = "商品数量")
    private BigDecimal goodsCounts;

    /**
     * 服务人员姓名
     */
    @Excel(name = "服务人员姓名")
    private String serverName;

    /**
     * 服务人员手机号
     */
    @Excel(name = "服务人员手机号")
    private String serverPhone;

    /**
     * 追加商品数量
     */
    @Excel(name = "追加商品数量")
    private BigDecimal addCount;

    /**
     * 服务人员id
     */
    @Excel(name = "服务人员id")
    private String serverId;

    /**
     * 商品单价
     */
    @Excel(name = "商品单价")
    private BigDecimal price;

    /**
     * 退款状态
     */
    @Excel(name = "退款状态")
    private String refStatus;

    /**
     * 追加服务金额
     */
    @Excel(name = "追加服务金额")
    private String addAmount;

    /**
     * 维修/配件费
     */
    @Excel(name = "维修/配件费")
    private BigDecimal maintenanceAmount;

    /**
     * 费用说明
     */
    @Excel(name = "费用说明")
    private String maintenanceRemark;
    /**
     * 分类类别
     */
    @Excel(name = "分类类别")
    private String categoryId;

    /**
     * 父分类姓名
     */
    private String parentName;

    /**
     * 当前记录起始索引
     */
    private Integer pageNum;

    /**
     * 每页显示记录数
     */
    private Integer pageSize;

    /**
     * 单次服务标准时长
     * @return
     */
    private BigDecimal singleTime;

    /**
     * 是否追加服务
     */
    private String homeAdd;

    /**
     * 是否追加费用
     */
    private String repairAdd;

    /**
     * 订单核销码
     */
    private String orderVerificationCode;

    /**
     * 商品单位
     */
    private String dictLabel;

    /**
     * 核销记录集合
     */
    private List<OrderVerificationRecord> orderVerificationRecordList;

    public Integer getNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    /**
     * 订单退款状态
     */
    private String status;
}

