package com.younike.system.domain.vo;

import com.younike.system.domain.Publish;
import com.younike.system.domain.PublishAddress;
import com.younike.system.domain.PublishImage;
import com.younike.system.domain.PublishQuote;
import lombok.Data;

import java.util.List;

/**
 * 发布信息返回包装类
 */
@Data
public class PublishManageVo extends Publish {
    /**
     * 报价个数
     */
    private Integer quoteCount;

    /**
     * 任务地址
     */
    private PublishAddress publishAddress;

    /**
     * 分类名称
     */
    private String categoryName;

    /**
     * 父级分类名称
     */
    private String parentCategoryName;

    /**
     * 报价列表
     */
    private List<PublishQuote> publishQuoteList;

    /**
     * 任务状态
     * 未报价 0
     * 已报价 1
     * 被选中 2
     * 被抢单 3
     * 已下架 4
     */
    private Integer status;

    /**
     * 需求资源集合
     */
    private List<PublishImage> publishImageList;

    /**
     * 服务人员进行报价标志 大于0为进行报价
     */
    private Integer serverQuoteCount;

    /**
     * 商家纬度
     */
    private String merchantLatitude;
    /**
     * 商家经度
     */
    private String merchantLongitude;

    /**
     * 业务类型（1：家政；2：维修）
     */
    private Integer bizType;

    /**
     * 报价详细信息列表
     */
    private List<PublishQuoteVo> quoteVoList;

}
