package com.younike.system.domain.vo;

import com.younike.system.domain.PublishImage;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author zulu.chen
 * 任务新增修改包装类
 */
@Data
public class PublishUpdateVo implements Serializable {

    /**
     * 发布需求id
     */
    private Long publishId;

    /**
     * 发布人id
     */
    private Long memberId;

    /**
     * 分类ID
     */
    private Long categoryId;

    /**
     * 标题
     */
    private String name;

    /**
     * 需求描述
     */
    private String publishDesc;

    /**
     * 地址ID
     */
    private Long addressId;

    /**
     * 更新需求时使用的字段
     * 判断是否重新选择了地址
     * 如果重新选择了，则去更新PublishAddress, 如果没有去重新选择，则不去改动PublishAddress
     * 预防提交服务之后修改了对应的地址信息，再次编辑时如果不去判断则会修改掉地址信息
     */
    private Boolean updateAddress;

    /**
     * 资源列表
     * 也应做到没有改变的数据不去更新数据库
     * 比较列表和数据库中数据差异，进行删除或新增
     */
    private List<PublishImage> publishImageList;

    /**
     * 要删除的资源数据
     */
    private Long[] delList;

}
