package com.younike.system.domain.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 财务对账参数
 */
@Data
public class ReconciliationVo extends BaseEntity {
    /**
     * 订单ID
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /**
     * 订单编号
     */
    private String orderIndex;

    /**
     * 服务id
     */
    private Long goodsId;
    /**
     * 服务编号
     */
    private String goodsIndex;


    /**
     * 店铺id
     */
    private Long merchantId;

    /**
     * 店铺编号
     */
    private String merchantIndex;

    /**
     * 店铺名称
     */
    private String merchantName;

    /**
     * 订单金额
     */
    @Excel(name = "订单金额")
    private BigDecimal orderAmount;

    /**
     * 实付总价
     */
    private BigDecimal totalAmount;

    /**
     * 优金豆抵扣
     */
    private Integer beanAmount;

    /**
     * 追加服务金额
     */
    private BigDecimal addAmount;

    /**
     * 追加服务店铺可得
     */
    private BigDecimal addShopAmount;

    /**
     * 追加支付状态(0:未支付；1:已支付)
     */
    private Integer addPayStatus;

    /**
     * 是否已结算
     */
    private Integer isSettle;

    /**
     * 订单类型
     */
    private String orderType;

    /**
     * 顾客手机号
     */
    private String memberPhone;

    /**
     * 支付方式
     */
    private String payWay;

    /**
     * 订单状态
     */
    private String orderState;

    /**
     * 订单状态名称
     */
    private String statusName;

    /**
     * 支付日期
     */
    private LocalDateTime payTime;

    /**
     * 店铺可得
     */
    private BigDecimal shopAmount;

    /**
     * 店铺可得总金额
     */
    private BigDecimal shopMoney;
    /**
     * 平台可得总金额
     */
    private BigDecimal terraceMoney;



}
