package com.younike.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import lombok.Data;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author EDZ
 * 店铺管理 服务人员时间
 */
@Data
public class ServerTimesVO extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 服务人员ID */
    private Long serverId;

    /** 停止接单（0不停止；1停止） */
    @Excel(name = "停止接单", readConverterExp = "0=不停止；1停止")
    private Integer stopOrder;

    /** 是否允许服务人员编辑接单时间（0不允许 1允许） */
    @Excel(name = "是否允许服务人员编辑接单时间", readConverterExp = "0=不允许,1=允许")
    private boolean allowEdit;

    /** 服务间隔时长 */
    @Excel(name = "服务间隔时长")
    private BigDecimal serverGrap;

    /** 最后登录IP */
    @Excel(name = "最后登录IP")
    private String loginIp;

    /** 最后登录时间 */
    @Excel(name = "最后登录时间")
    private LocalDateTime loginDate;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String column1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column2;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String column3;
    /** 服务人员服务时间起使时间 */
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "服务人员服务时间起使时间")
    private String hoursFrom;
    /** 服务人员服务时间结束时间 */
    @JsonFormat(pattern = "HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "服务人员服务时间结束时间")
    private String hoursEnd;
    /** 预留字段2 */
    @Excel(name = "工作日")
    private String weeks;

    /** 服务时间段id */
    @Excel(name = "服务时间段id")
    private String sectionId;
    private List<ServerTimeSectionVo> sectionList;


}
