package com.younike.system.enums;

import com.younike.common.utils.StringUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 个体户商家结算状态枚举类
 * @author Dail
 */
@AllArgsConstructor
@Getter
public enum PersonalSettleStatusEnum {

    PENDING_SETTLEMENT("001", "待结算"),
    PAID("002", "已支付");


    private String code;

    private String desc;

    public static String getDescription(String code) {
        for (PersonalSettleStatusEnum item : PersonalSettleStatusEnum.values()) {
            if(item.getCode().equals(code)){
                return item.getDesc();
            }
        }
        return StringUtils.EMPTY;
    }

}
