package com.younike.system.mapper;

import com.younike.system.domain.AccessPasscodeVerifyRecord;
import com.younike.system.domain.vo.AccessPasscodeVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 门岗通行证核查记录mapper
 * @author Dail
 */
public interface AccessPasscodeVerifyRecordMapper {

    /**
     * 根据主键id删除门岗通行证核查记录
     *
     * @param accessPasscodeVerifyRecordId
     * @return
     */
    int deleteByPrimaryKey(Long accessPasscodeVerifyRecordId);

    /**
     * 新增门岗通行证核查记录
     *
     * @param record
     * @return
     */
    int insert(AccessPasscodeVerifyRecord record);

    /**
     * 动态新增门岗通行证核查记录
     *
     * @param record
     * @return
     */
    int insertSelective(AccessPasscodeVerifyRecord record);

    /**
     * 根据主键id查询门岗通行证核查记录
     *
     * @param accessPasscodeVerifyRecordId
     * @return
     */
    AccessPasscodeVerifyRecord selectByPrimaryKey(Long accessPasscodeVerifyRecordId);

    /**
     * 根据主键id动态更新门岗通行证核查记录
     *
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(AccessPasscodeVerifyRecord record);

    /**
     * 根据主键id更新门岗通行证核查记录
     *
     * @param record
     * @return
     */
    int updateByPrimaryKey(AccessPasscodeVerifyRecord record);

    /**
     * 根据门岗通行证id查询门岗通行证核查记录
     *
     * @param accessPasscodeId
     * @return
     */
    AccessPasscodeVerifyRecord selectByAccessPasscodeId(@Param("accessPasscodeId") Long accessPasscodeId);

    /**
     * 查询门岗通行记录列表
     * @param accessPasscode
     * @return
     */
    List<AccessPasscodeVO> selectAccessPasscodeVoList(AccessPasscodeVO accessPasscode);
}
