package com.younike.system.mapper;

import java.util.List;
import com.younike.system.domain.Dimension;
import org.apache.ibatis.annotations.Param;

/**
 * 评价维度Mapper接口
 * 
 * @author elev
 * @date 2022-01-04
 */
public interface DimensionMapper {

    /**
     * 批量更新
     * @param dimensionList
     * @return
     */
    int updateBatch(@Param("dimensionList") List<Dimension> dimensionList);

    /**
     * 批量删除
     * @param dimensionList
     * @return
     */
    int insertBatch(@Param("dimensionList") List<Dimension> dimensionList);
    /**
     * 查询评价维度
     * 
     * @param dimensionId 评价维度主键
     * @return 评价维度
     */
    Dimension selectDimensionByDimensionId(Long dimensionId);

    /**
     * 查询评价维度列表
     * 
     * @param dimension 评价维度
     * @return 评价维度集合
     */
    List<Dimension> selectDimensionList(Dimension dimension);

    /**
     * 新增评价维度
     * 
     * @param dimension 评价维度
     * @return 结果
     */
    int insertDimension(Dimension dimension);

    /**
     * 修改评价维度
     * 
     * @param dimension 评价维度
     * @return 结果
     */
    int updateDimension(Dimension dimension);

    /**
     * 删除评价维度
     * 
     * @param dimensionId 评价维度主键
     * @return 结果
     */
    int deleteDimensionByDimensionId(Long dimensionId);

    /**
     * 批量删除评价维度
     * 
     * @param dimensionIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDimensionByDimensionIds(Long[] dimensionIds);
}
