package com.younike.system.mapper;

import java.util.List;
import com.younike.system.domain.MerchantCategory;

/**
 * 店铺服务分类关联Mapper接口
 *
 * @author elev
 * @date 2022-01-11
 */
public interface MerchantCategoryMapper {
    /**
     * 查询店铺服务分类关联
     *
     * @param id 店铺服务分类关联主键
     * @return 店铺服务分类关联
     */
    MerchantCategory selectMerchantCategoryById(Long id);

    /**
     * 查询店铺服务分类关联列表
     *
     * @param merchantCategory 店铺服务分类关联
     * @return 店铺服务分类关联集合
     */
    List<MerchantCategory> selectMerchantCategoryList(MerchantCategory merchantCategory);

    /**
     * 新增店铺服务分类关联
     *
     * @param merchantCategory 店铺服务分类关联
     * @return 结果
     */
    int insertMerchantCategory(MerchantCategory merchantCategory);

    /**
     * 修改店铺服务分类关联
     *
     * @param merchantCategory 店铺服务分类关联
     * @return 结果
     */
    int updateMerchantCategory(MerchantCategory merchantCategory);

    /**
     * 删除店铺服务分类关联
     *
     * @param id 店铺服务分类关联主键
     * @return 结果
     */
    int deleteMerchantCategoryById(Long id);

    /**
     * 批量删除店铺服务分类关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteMerchantCategoryByIds(Long[] ids);

    int removeMerchantCategoryByMerchantId(Long merchantId);

    int insertBatch(List<MerchantCategory> merchantCategoryList);

    List<MerchantCategory> merchantCategoryList(Long merchantId);
}