package com.younike.system.mapper;

import java.util.List;
import com.younike.system.domain.MerchantInfo;

/**
 * 店铺资质信息

Mapper接口
 * 
 * @author elev
 * @date 2022-01-05
 */
public interface MerchantInfoMapper 
{
    /**
     * 查询店铺资质信息


     * 
     * @param merchantId 店铺资质信息

主键
     * @return 店铺资质信息


     */
    public MerchantInfo selectMerchantInfoByMerchantId(Long merchantId);

    /**
     * 查询店铺资质信息

列表
     * 
     * @param merchantInfo 店铺资质信息


     * @return 店铺资质信息

集合
     */
    public List<MerchantInfo> selectMerchantInfoList(MerchantInfo merchantInfo);

    /**
     * 新增店铺资质信息


     * 
     * @param merchantInfo 店铺资质信息


     * @return 结果
     */
    public int insertMerchantInfo(MerchantInfo merchantInfo);

    /**
     * 修改店铺资质信息


     * 
     * @param merchantInfo 店铺资质信息


     * @return 结果
     */
    public int updateMerchantInfo(MerchantInfo merchantInfo);

    /**
     * 删除店铺资质信息


     * 
     * @param merchantId 店铺资质信息

主键
     * @return 结果
     */
    public int deleteMerchantInfoByMerchantId(Long merchantId);

    /**
     * 批量删除店铺资质信息


     * 
     * @param merchantIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMerchantInfoByMerchantIds(Long[] merchantIds);
}
