package com.younike.system.mapper;

import com.younike.system.domain.PersonalMerchantSettleResource;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 个体户账单结算资源Mapper接口
 *
 * @author dail
 * @date 2022-03-03
 */
public interface PersonalMerchantSettleResourceMapper {

    /**
     * 新增个体户账单结算资源
     *
     * @param personalMerchantSettleResource
     * @return
     */
    int insertPersonalMerchantSettleResource(PersonalMerchantSettleResource personalMerchantSettleResource);

    /**
     * 删除个体户账单结算资源
     *
     * @param personalMerchantSettleResourceId
     * @return
     */
    int deleteByPersonalMerchantSettleResourceId(Long personalMerchantSettleResourceId);

    /**
     * 修改个体户账单结算资源
     *
     * @param personalMerchantSettleResource
     * @return
     */
    int updatePersonalMerchantSettleResource(PersonalMerchantSettleResource personalMerchantSettleResource);

    /**
     * 查询个体户账单结算资源列表
     *
     * @param personalSettleId
     * @return
     */
    List<PersonalMerchantSettleResource> selectPersonalMerchantSettleResourceList(Long personalSettleId);

    /**
     * 批量新增个体户账单结算资源
     *
     * @param list
     * @return
     */
    int insertBatch(@Param("list") List<PersonalMerchantSettleResource> list);

}