package com.younike.system.mapper;

import java.util.List;
import com.younike.system.domain.PublishImage;

/**
 * 发布需求图片Mapper接口
 * 
 * @author elev
 * @date 2022-01-20
 */
public interface PublishImageMapper {
    /**
     * 查询发布需求图片
     * 
     * @param imageId 发布需求图片主键
     * @return 发布需求图片
     */
    PublishImage selectPublishImageByImageId(Long imageId);

    /**
     * 查询发布需求图片列表
     * 
     * @param publishImage 发布需求图片
     * @return 发布需求图片集合
     */
    List<PublishImage> selectPublishImageList(PublishImage publishImage);

    /**
     * 新增发布需求图片
     * 
     * @param publishImage 发布需求图片
     * @return 结果
     */
    int insertPublishImage(PublishImage publishImage);

    /**
     * 修改发布需求图片
     * 
     * @param publishImage 发布需求图片
     * @return 结果
     */
    int updatePublishImage(PublishImage publishImage);

    /**
     * 删除发布需求图片
     * 
     * @param imageId 发布需求图片主键
     * @return 结果
     */
    int deletePublishImageByImageId(Long imageId);

    /**
     * 批量删除发布需求图片
     * 
     * @param imageIds 需要删除的数据主键集合
     * @return 结果
     */
    int deletePublishImageByImageIds(Long[] imageIds);

    /**
     * 批量插入
     * @param publishImageList
     * @return
     */
    int insertBatch(List<PublishImage> publishImageList);
}
