package com.younike.system.mapper;

import java.util.List;
import com.younike.system.domain.PublishQuoteReply;

/**
 * 报价留言回复Mapper接口
 * 
 * @author elev
 * @date 2022-01-20
 */
public interface PublishQuoteReplyMapper {
    /**
     * 查询报价留言回复
     * 
     * @param replyId 报价留言回复主键
     * @return 报价留言回复
     */
    PublishQuoteReply selectPublishQuoteReplyByReplyId(Long replyId);

    /**
     * 查询报价留言回复列表
     * 
     * @param publishQuoteReply 报价留言回复
     * @return 报价留言回复集合
     */
    List<PublishQuoteReply> selectPublishQuoteReplyList(PublishQuoteReply publishQuoteReply);

    /**
     * 新增报价留言回复
     * 
     * @param publishQuoteReply 报价留言回复
     * @return 结果
     */
    int insertPublishQuoteReply(PublishQuoteReply publishQuoteReply);

    /**
     * 修改报价留言回复
     * 
     * @param publishQuoteReply 报价留言回复
     * @return 结果
     */
    int updatePublishQuoteReply(PublishQuoteReply publishQuoteReply);

    /**
     * 删除报价留言回复
     * 
     * @param replyId 报价留言回复主键
     * @return 结果
     */
    int deletePublishQuoteReplyByReplyId(Long replyId);

    /**
     * 批量删除报价留言回复
     * 
     * @param replyIds 需要删除的数据主键集合
     * @return 结果
     */
    int deletePublishQuoteReplyByReplyIds(Long[] replyIds);
}
