package com.younike.system.param;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 门岗通行证二维码生成参数
 *
 * @author Dail
 */
@Data
public class AccessPasscodeParam implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 商家ID
     */
    @NotNull(message = "商家id不能为空")
    private Long merchantId;

    /**
     * 订单id
     */
    @NotNull(message = "订单id不能为空")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /**
     * 订单编号
     */
    @NotNull(message = "订单编号不能为空")
    private String orderIndex;

    /**
     * 订单核销码
     */
    private String orderVerificationCode;

    /**
     * 会员id
     */
    private Long memberId;
}
