package com.younike.system.param;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.younike.common.core.domain.BaseEntity;
import com.younike.system.domain.GoodsCommentDimension;
import com.younike.system.domain.GoodsCommentResource;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description 订单评价添加参数
 * @Author dail
 * @Date 2022/1/11
 */
@Data
public class GoodsCommentParam extends BaseEntity {

    /**
     * 会员ID
     */
    private Long memberId;

    /**
     * 服务人员ID
     */
    private Long serverId;

    /**
     * 订单ID
     */
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    /**
     * 商户ID
     */
    private Long merchantId;

    /**
     * 商品ID
     */
    private String goodsId;

    /**
     * 评价内容
     */
    private String content;

    /**
     * 商品评分
     */
    private BigDecimal score;

    /**
     * 是否匿名（0：否(默认)，1：是）
     */
    private Integer isAnonymous;

    /**
     * 评论可得优金豆数
     */
    private BigDecimal commentCoin;

    /**
     * 上传图片或视频可得优金豆数
     */
    private BigDecimal videoImageCoin;

    /**
     * 视频/图片资源列表
     */
    private List<GoodsCommentResource> goodsCommentResourceList;

    /**
     * 评价维度信息列表
     */
    private List<GoodsCommentDimension> goodsCommentDimensionList;
}
