package com.younike.system.param;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 商家评价列表查询参数
 *
 * @author Dail
 */
@Data
public class GoodsCommentQueryParam implements Serializable {

    /**
     * 商家/个人ID
     */
    private Long merchantId;

    /**
     * 订单编号
     */
    private String orderIndex;

    /**
     * 服务主题
     */
    private String goodsName;

    /**
     * 服务人员手机号
     */
    private String phone;

    /**
     * 服务人员姓名
     */
    private String realName;

    /**
     * 评分开始
     */
    private Integer scoreStart;

    /**
     * 评分结束
     */
    private Integer scoreEnd;

    /**
     * 评价日期开始
     */
    private String beginTime;

    /**
     * 评价日期结束
     */
    private String endTime;

    /**
     * 订单类型列表
     */
    private List<String> orderTypeList;
}
