package com.younike.system.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 团购服务规格新增参数
 * @author Dail
 */
@Data
public class GoodsSpecificationAddParam implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 规格描述
     */
    @NotBlank(message = "规格描述不能为空")
    @Size(max = 30, message = "规格描述不能超出50个字符")
    private String specificationDesc;

    /**
     * 次数
     */
    @NotNull(message = "次数不能为空")
    private int times;

    /**
     * 现价
     */
    @NotNull(message = "现价不能为空")
    private BigDecimal currentPrice;

    /**
     * 划线价
     */
    private BigDecimal scribingPrice;

    /**
     * 商品id
     */
    @NotNull(message = "商品id不能为空")
    private Long goodsId;

    /**
     * 商家id
     */
    @NotNull(message = "商家id不能为空")
    private Long merchantId;
}
