package com.younike.system.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 团购服务新增参数
 * @author Dail
 */
@Data
public class GroupGoodsAddParam implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 商品服务id
     */
    private Long goodsId;

    /**
     * 商品服务编号
     */
    private String goodsIndex;

    /**
     * 服务主题
     */
    @NotBlank(message = "服务主题不能为空")
    @Size(max = 30, message = "服务主题不能超出30个字符")
    private String name;

    /**
     * 服务类型
     */
    @NotNull(message = "服务类型不能为空")
    private Long cateId;

    /**
     * 轮播图
     */
//    @NotBlank(message = "轮播图不能为空")
    private String images;

    /**
     * 服务内容
     */
    @NotBlank(message = "服务内容不能为空")
    private String serviceDesc;

    /**
     * 费用说明
     */
    @NotBlank(message = "费用说明不能为空")
    private String priceDesc;

    /**
     * 优金豆
     */
    @NotNull(message = "优金豆不能为空")
    private BigDecimal coin;

    /**
     * 规格
     */
    @NotEmpty(message = "规格不能为空")
    private List<GoodsSpecificationAddParam> goodsSpecificationList;

    /**
     * 有效期key
     */
    private String expirationDate;

    /**
     * 有效期天数
     */
    private Integer expirationDateValue;

    /**
     * 限购数量
     */
    private Integer maxNum;

    //    轮播图视频
    private String video;
}
