package com.younike.system.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.younike.common.annotation.Excel;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 我发布的需求预约下单
 */
@Data
public class OrderPublishParam  implements Serializable {

    /**
     * 发布需求id
     */
    private Long publishId;

    /**
     * 预约起始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(fallbackPatterns = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime appointmentStartTime;

    /**
     * 预约结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(fallbackPatterns = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime appointmentEndTime;

    /**
     * 备注
     */
    private String memo;

    /**
     * 报价id
     */
    private Long quoteId;

    /**
     * 扣除积分手机号
     */
    private String phone;

    /** 商品金币（冗余） */
    private Long goodsCoin;


    /**
     * 优金豆抵扣金额
     */
    private Integer beanAmount;

    /**
     * 订单价格
     */
    private BigDecimal orderAmount;

    /** 优惠金额 */
    @Excel(name = "优惠金额")
    private BigDecimal couponAmount;

    /** 实付总价 */
    @Excel(name = "实付总价")
    private BigDecimal totalAmount;


}
