package com.younike.system.param;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@ApiModel("支付参数")
public class PaymentParam implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty("订单ID")
    @JsonSerialize(using= ToStringSerializer.class)
    private Long orderId;

    @ApiModelProperty("支付业务类型（001：订单支付；002：购买信任卡支付）")
    private String bizType;

    @ApiModelProperty("P4:支付类型（小程序：APPLET；公众号：PUBLIC；SDK：SDK预下单）")
    private String payType;

    @ApiModelProperty("P11:支付类型（微信：001；支付宝：002）")
    private String appType;

    @ApiModelProperty("支付价格")
    private BigDecimal totalAmount;

    /**
     * 用户登录凭证
     *
     * 开发者需要在开发者服务器后台调用 auth.code2Session，使用 code 换取 openid、unionid、session_key 等信息
     */
    @ApiModelProperty("微信用户登录凭证")
    private String code;
}
