package com.younike.system.param;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 任务发布查询参数
 */
@Data
public class PublishQueryParam implements Serializable {

    /**
     * 任务标题
     */
    private String name;

    /**
     * 分类ID
     */
    private String categoryId;

    /**
     * 发布需求状态（001带预约，002已预约，003已完成，004已下架）
     */
    private String publishState;

    /**
     * 商家ID
     */
    private Long merchantId;

    /**
     * 任务状态
     * 已报价 0
     * 未报价 1
     * 被选中 2
     * 被抢单 3
     * 已下架 4
     */
    private Integer status;

    /**
     * 开始时间
     */
    private String beginTime;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 发布者ID
     */
    private Long memberId;

    /**
     * 发布需求ID
     */
    private Long publishId;

    /**
     * 商家纬度
     */
    private BigDecimal merchantLatitude;

    /**
     * 商家经度
     */
    private BigDecimal merchantLongitude;

    /**
     * 商家服务范围
     */
    private BigDecimal maxDeliverDistance;

    /**
     * 服务人员id
     */
    private Long serverId;

    /**
     * 关注的父分类集合
     */
    private List<Long> parentCateIdS;

}
