package com.younike.system.param;

import com.younike.common.core.domain.BaseEntity;
import com.younike.system.domain.UjdChangeRecord;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * ujdchangeRecode 属性增加
 */
@Data
public class UjdChangeRedordQueryParam extends BaseEntity {

    //起始时间
    private String beginTime;
    //结束时间
    private String endTime;



    /**
     * 优金豆变动记录id
     */
    private Long ujdChangeRecordId;

    /**
     * 优金豆变更动数量(个)
     */
    private Integer changeQty;

    /**
     * 变动类型(001：保证金充值；002：商品评价支出；)
     */
    private String changeType;

    /**
     * 变动属性(0：支出；1：收入；)
     */
    private String changeProperty;

    /**
     * 商家/个体户id
     */
    private Long merchantId;

    /**
     * 商家/个体户编号
     */
    private String merchantIndex;

    /**
     * 商家店铺名称/个体户姓名
     */
    private String merchantName;

    /**
     * 服务id
     */
    private Long goodsId;

    /**
     * 服务编号
     */
    private String goodsIndex;

    /**
     * 服务名称
     */
    private String goodsName;

    /**
     * 交易单号(充值优金豆支付时产生)
     */
    private String tradeNo;

    /**
     * 变动时间
     */
    private LocalDateTime changeTime;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    /**
     * 备注
     */
    private String remark;
}
