package com.younike.system.service;

import com.younike.common.core.domain.AjaxResult;
import com.younike.system.domain.AccessPasscode;
import com.younike.system.domain.vo.AccessPasscodeVO;
import com.younike.system.param.AccessPasscodeParam;
import com.younike.system.param.AccessPasscodeQueryParam;

import java.util.List;

/**
 * 门岗通行证Service接口
 *
 * @author dail
 * @date 2022-04-15
 */
public interface IAccessPasscodeService {

    /**
     * 根据订单信息生成门岗通行证
     *
     * @param accessPasscodeParam
     * @return
     */
    AjaxResult saveAccessPasscode(AccessPasscodeParam accessPasscodeParam);

    /**
     * 根据ID查询门岗二维码信息
     *
     * @param accessPasscodeId
     * @return
     */
    AccessPasscode getByAccessPasscodeId(Long accessPasscodeId);

    /**
     * 根据订单ID和核销码查询门岗二维码信息
     *
     * @param queryParam
     * @return
     */
    AccessPasscode getByOrderIdAndOrderVerificationCode(AccessPasscodeQueryParam queryParam);
    
}
