package com.younike.system.service;

import com.younike.common.core.domain.AjaxResult;
import com.younike.system.domain.AccessPasscodeVerifyRecord;
import com.younike.system.domain.vo.AccessPasscodeVO;
import com.younike.system.param.AccessPasscodeVerifyRecordParam;
import com.younike.system.param.AccessPasscodeVerifyRecordQueryParam;

import java.util.List;

/**
 * 门岗通行证核查记录Service接口
 *
 * @author dail
 * @date 2022-04-16
 */
public interface IAccessPasscodeVerifyRecordService {

    /**
     * 保存门岗通行证核查记录
     *
     * @param accessPasscodeVerifyRecordParam
     * @return
     */
    AjaxResult saveAccessPasscodeVerifyRecord(AccessPasscodeVerifyRecordParam accessPasscodeVerifyRecordParam);

    /**
     * 根据ID查询门岗二维码信息
     *
     * @param accessPasscodeVerifyRecordId
     * @return
     */
    AccessPasscodeVerifyRecord getByAccessPasscodeVerifyRecordId(Long accessPasscodeVerifyRecordId);

    /**
     * 根据门岗通行证id查询门岗通行证核查记录
     *
     * @param queryParam
     * @return
     */
    AccessPasscodeVerifyRecord getByAccessPasscodeId(AccessPasscodeVerifyRecordQueryParam queryParam);
    /**
     * 查询门岗通行记录列表
     * @param accessPasscode
     * @return
     */
    List<AccessPasscodeVO> selectAccessPasscodeVoList(AccessPasscodeVO accessPasscode);
}
