package com.younike.system.service;

import java.util.List;
import com.younike.system.domain.BondPayment;

/**
 * 保证金充值Service接口
 * 
 * @author elev
 * @date 2022-01-24
 */
public interface IBondPaymentService {
    /**
     * 查询保证金充值
     * 
     * @param paymentId 保证金充值主键
     * @return 保证金充值
     */
    BondPayment selectBondPaymentByPaymentId(String paymentId);

    /**
     * 查询保证金充值列表
     * 
     * @param bondPayment 保证金充值
     * @return 保证金充值集合
     */
    List<BondPayment> selectBondPaymentList(BondPayment bondPayment);

    /**
     * 新增保证金充值
     * 
     * @param bondPayment 保证金充值
     * @return 结果
     */
    int insertBondPayment(BondPayment bondPayment);

    /**
     * 修改保证金充值
     * 
     * @param bondPayment 保证金充值
     * @return 结果
     */
    int updateBondPayment(BondPayment bondPayment);

    /**
     * 批量删除保证金充值
     * 
     * @param paymentIds 需要删除的保证金充值主键集合
     * @return 结果
     */
    int deleteBondPaymentByPaymentIds(String[] paymentIds);

    /**
     * 删除保证金充值信息
     * 
     * @param paymentId 保证金充值主键
     * @return 结果
     */
    int deleteBondPaymentByPaymentId(String paymentId);
}
