package com.younike.system.service;

import com.younike.system.domain.IndexBanner;

import java.util.List;

/**
 * 首页轮播Service接口
 * 
 * @author elev
 * @date 2022-01-13
 */
public interface IIndexBannerService {

    /**
     * 删除轮播图，更新操作者
     * @param ids
     * @param userName
     * @return
     */
    int deleteIndexBannerByIdsAndUserName(Long[] ids, String userName);
    /**
     * 查询首页轮播
     * 
     * @param id 首页轮播主键
     * @return 首页轮播
     */
    IndexBanner selectIndexBannerById(Long id);

    /**
     * 查询首页轮播列表
     * 
     * @param indexBanner 首页轮播
     * @return 首页轮播集合
     */
    List<IndexBanner> selectIndexBannerList(IndexBanner indexBanner);

    /**
     * 新增首页轮播
     * 
     * @param indexBanner 首页轮播
     * @return 结果
     */
    int insertIndexBanner(IndexBanner indexBanner);

    /**
     * 修改首页轮播
     * 
     * @param indexBanner 首页轮播
     * @return 结果
     */
    int updateIndexBanner(IndexBanner indexBanner);

    /**
     * 批量删除首页轮播
     * 
     * @param ids 需要删除的首页轮播主键集合
     * @return 结果
     */
    int deleteIndexBannerByIds(Long[] ids);

    /**
     * 删除首页轮播信息
     * 
     * @param id 首页轮播主键
     * @return 结果
     */
    int deleteIndexBannerById(Long id);
}
