package com.younike.system.service;
import com.younike.system.domain.vo.GoodsCommentResourceVo;
import java.util.List;

/**
 * 评价资源Service接口
 *
 * @author jubs
 * @date 2022-01-12
 */
public interface IMerchantGoodsCommentResourceService {
    /**
     * 查询评价资源
     *
     * @param recourceId 评价资源主键
     * @return 评价资源
     */
    GoodsCommentResourceVo selectGoodsCommentResourceByRecourceId(Long recourceId);

    /**
     * 查询评价资源列表
     *
     * @param goodsCommentResource 评价资源
     * @return 评价资源集合
     */
    List<GoodsCommentResourceVo> selectGoodsCommentResourceList(GoodsCommentResourceVo goodsCommentResource);

    /**
     * 新增评价资源
     *
     * @param goodsCommentResource 评价资源
     * @return 结果
     */
    int insertGoodsCommentResource(GoodsCommentResourceVo goodsCommentResource);

    /**
     * 修改评价资源
     *
     * @param goodsCommentResource 评价资源
     * @return 结果
     */
    int updateGoodsCommentResource(GoodsCommentResourceVo goodsCommentResource);

    /**
     * 批量删除评价资源
     *
     * @param recourceIds 需要删除的评价资源主键集合
     * @return 结果
     */
    int deleteGoodsCommentResourceByRecourceIds(Long[] recourceIds);

    /**
     * 删除评价资源信息
     *
     * @param recourceId 评价资源主键
     * @return 结果
     */
    int deleteGoodsCommentResourceByRecourceId(Long recourceId);
}
