package com.younike.system.service;

import java.util.List;
import com.younike.system.domain.OrderGoodsServer;

/**
 * 订单服务人员关联Service接口
 * 
 * @author elev
 * @date 2022-01-10
 */
public interface IOrderGoodsServerService {
    /**
     * 查询订单服务人员关联
     * 
     * @param orderId 订单服务人员关联主键
     * @return 订单服务人员关联
     */
    OrderGoodsServer selectOrderGoodsServerByOrderId(Long orderId);

    /**
     * 查询订单服务人员关联列表
     * 
     * @param orderGoodsServer 订单服务人员关联
     * @return 订单服务人员关联集合
     */
    List<OrderGoodsServer> selectOrderGoodsServerList(OrderGoodsServer orderGoodsServer);

    /**
     * 新增订单服务人员关联
     * 
     * @param orderGoodsServer 订单服务人员关联
     * @return 结果
     */
    int insertOrderGoodsServer(OrderGoodsServer orderGoodsServer);

    /**
     * 修改订单服务人员关联
     * 
     * @param orderGoodsServer 订单服务人员关联
     * @return 结果
     */
    int updateOrderGoodsServer(OrderGoodsServer orderGoodsServer);

    /**
     * 批量删除订单服务人员关联
     * 
     * @param orderIds 需要删除的订单服务人员关联主键集合
     * @return 结果
     */
    int deleteOrderGoodsServerByOrderIds(Long[] orderIds);

    /**
     * 删除订单服务人员关联信息
     * 
     * @param orderId 订单服务人员关联主键
     * @return 结果
     */
    int deleteOrderGoodsServerByOrderId(Long orderId);
}
