package com.younike.system.service;

import java.util.List;
import com.younike.system.domain.OrderModify;

/**
 * 订单修改记录Service接口
 * 
 * @author elev
 * @date 2022-02-10
 */
public interface IOrderModifyService {
    /**
     * 查询订单修改记录
     * 
     * @param recordId 订单修改记录主键
     * @return 订单修改记录
     */
    OrderModify selectOrderModifyByRecordId(Long recordId);

    /**
     * 查询订单修改记录列表
     * 
     * @param orderModify 订单修改记录
     * @return 订单修改记录集合
     */
    List<OrderModify> selectOrderModifyList(OrderModify orderModify);

    /**
     * 新增订单修改记录
     * 
     * @param orderModify 订单修改记录
     * @return 结果
     */
    int insertOrderModify(OrderModify orderModify);

    /**
     * 修改订单修改记录
     * 
     * @param orderModify 订单修改记录
     * @return 结果
     */
    int updateOrderModify(OrderModify orderModify);

    /**
     * 批量删除订单修改记录
     * 
     * @param recordIds 需要删除的订单修改记录主键集合
     * @return 结果
     */
    int deleteOrderModifyByRecordIds(Long[] recordIds);

    /**
     * 删除订单修改记录信息
     * 
     * @param recordId 订单修改记录主键
     * @return 结果
     */
    int deleteOrderModifyByRecordId(Long recordId);

    /**
     * 获取最新的更新记录
     * @return
     */
    OrderModify getLatestRecord(Long orderId);
}
