package com.younike.system.service;

import java.util.List;
import com.younike.system.domain.PublishAddress;

/**
 * 需求地址Service接口
 * 
 * @author elev
 * @date 2022-01-20
 */
public interface IPublishAddressService {
    /**
     * 查询需求地址
     * 
     * @param publishId 需求地址主键
     * @return 需求地址
     */
    PublishAddress selectPublishAddressByPublishId(Long publishId);

    /**
     * 查询需求地址列表
     * 
     * @param publishAddress 需求地址
     * @return 需求地址集合
     */
    List<PublishAddress> selectPublishAddressList(PublishAddress publishAddress);

    /**
     * 新增需求地址
     * 
     * @param publishAddress 需求地址
     * @return 结果
     */
    int insertPublishAddress(PublishAddress publishAddress);

    /**
     * 修改需求地址
     * 
     * @param publishAddress 需求地址
     * @return 结果
     */
    int updatePublishAddress(PublishAddress publishAddress);

    /**
     * 批量删除需求地址
     * 
     * @param publishIds 需要删除的需求地址主键集合
     * @return 结果
     */
    int deletePublishAddressByPublishIds(Long[] publishIds);

    /**
     * 删除需求地址信息
     * 
     * @param publishId 需求地址主键
     * @return 结果
     */
    int deletePublishAddressByPublishId(Long publishId);
}
