package com.younike.system.service;

import java.util.List;
import com.younike.common.core.domain.AjaxResult;
import com.younike.system.domain.PublishQuoteReply;

/**
 * 报价留言回复Service接口
 *
 * @author elev
 * @date 2022-01-20
 */
public interface IPublishQuoteReplyService {
    /**
     * 查询报价留言回复
     *
     * @param replyId 报价留言回复主键
     * @return 报价留言回复
     */
    PublishQuoteReply selectPublishQuoteReplyByReplyId(Long replyId);

    /**
     * 查询报价留言回复列表
     *
     * @param publishQuoteReply 报价留言回复
     * @return 报价留言回复集合
     */
    List<PublishQuoteReply> selectPublishQuoteReplyList(PublishQuoteReply publishQuoteReply);

    /**
     * 新增报价留言回复
     *
     * @param publishQuoteReply 报价留言回复
     * @return 结果
     */
    int insertPublishQuoteReply(PublishQuoteReply publishQuoteReply);

    /**
     * 修改报价留言回复
     *
     * @param publishQuoteReply 报价留言回复
     * @return 结果
     */
    int updatePublishQuoteReply(PublishQuoteReply publishQuoteReply);

    /**
     * 批量删除报价留言回复
     *
     * @param replyIds 需要删除的报价留言回复主键集合
     * @return 结果
     */
    int deletePublishQuoteReplyByReplyIds(Long[] replyIds);

    /**
     * 删除报价留言回复信息
     *
     * @param replyId 报价留言回复主键
     * @return 结果
     */
    int deletePublishQuoteReplyByReplyId(Long replyId);

    /**
     * 新增报价回复
     * @param publish
     * @return
     */
    AjaxResult replyInsert(PublishQuoteReply publish);

    /**
     * 服务人员删除报价回复
     * @param replyId
     * @return
     */
    AjaxResult delReply(Long replyId);

    /**
     * 顾客端删除报价回复
     * @param replyId
     * @return
     */
    AjaxResult delMemberReply(Long replyId);
}
