import request from '@/utils/request'


export function settled(data) {
    return request({
        url: '/system/merchant/settled',
        method: 'post',
        data
    })
}

export function settledModify(data) {
    return request({
        url: '/system/merchant/settledModify',
        method: 'post',
        data
    })
}

export function merchantModify(data) {
    return request({
        url: '/system/merchant/merchantModify',
        method: 'post',
        data
    })
}

export function detail(merchantId) {
    return request({
        url: '/system/merchant/merchantInfo',
        method: 'get',
        params: {
            merchantId
        }
    })
}

export function merchantCategoryModify(data) {
    return request({
        url: '/system/merchant/merchantCategoryModify',
        method: 'post',
        data
    })
}

export function categoryList() {
    return request({
        url: '/system/merchant/categoryList',
        method: 'get'
    })
}

// 家政分类列表
export function homeCategoryList() {
    return request({
        url: '/system/merchant/homeCategoryList',
        method: 'get'
    })
}

export function merchantCategoryList(merchantId) {
    return request({
        url: '/system/merchant/merchantCategoryList',
        method: 'get',
        params: {
            merchantId
        }
    })
}

export function dashboard(merchantId) {
    return request({
        url: '/system/merchant/dashboard',
        method: 'get',
        params: {
            merchantId
        }
    })
}

export function orderPayment(data) {
    return request({
        url: '/wxAppPay/orderPayment',
        method: 'post',
        data
    })
}

export function querybankaps(params) {
    return request({
        url: '/system/merchant/querybankaps',
        method: 'get',
        params
    })
}

export function merchantRefund(data) {
    return request({
        url: '/system/merchant/merchantRefund',
        method: 'post',
        data
    })
}