import request from '@/utils/request'

// 查询需求报价列表
export function listQuote(query) {
  return request({
    url: '/merchant/quote/list',
    method: 'get',
    params: query
  })
}

// 查询需求报价详细
export function getQuote(quoteId) {
  return request({
    url: '/merchant/quote/' + quoteId,
    method: 'get'
  })
}

// 新增需求报价
export function addQuote(data) {
  return request({
    url: '/merchant/quote/addQuote',
    method: 'post',
    data: data
  })
}

// 修改需求报价
export function updateQuote(data) {
  return request({
    url: '/merchant/quote/editQuote',
    method: 'post',
    data: data
  })
}

// 删除需求报价
export function delQuote(quoteId) {
  return request({
    url: '/merchant/quote/' + quoteId,
    method: 'delete'
  })
}

// 导出需求报价
export function exportQuote(query) {
  return request({
    url: '/merchant/quote/export',
    method: 'get',
    params: query
  })
}