import request from '@/utils/request'
// 财务对账运营
/**
 * 获取保证金账单
 * @returns
 */
export function ujdList(params) {
  return request({
    url: '/admin/reconciliation/list',
    method: 'get',
    params: params
  })
}
/**
 * 获取订单账单
 */
export function orderList(params) {
    return request({
      url: '/admin/reconciliation/orderList',
      method: 'get',
      params: params
    })
}
/**
 * 获取订单账单(店铺收入，平台收入数据统计）
 */
 export function orderStatistics(params) {
  return request({
    url: '/admin/reconciliation/orderStatistics',
    method: 'get',
    params: params
  })
}

// 查询个体户账单分页列表
export function personalSettleList(params) {
    return request({
      url: '/admin/perSettle/personalMerchantSettleList',
      method: 'get',
      params: params
    })
}

// Excel导出个体户账单数据
export function exportData(params) {
    return request({
      url: '/admin/perSettle/export',
      method: 'get',
      params: params
    })
}

// 查询个体户账单结算金额信息
export function getPersonalMerchantSettleAmountInfo(params) {
    return request({
        url: '/admin/perSettle/getPersonalSettleAmount',
        method: 'get',
        params: params
    })
}

// 个体户账单结算和批量结算
export function settlePersonalMerchantOrder(params) {
    return request({
        url: '/admin/perSettle/settleOrder',
        method: 'post',
        data: params
    })
}

// 查询个体户账单结算资源
export function getPersonalSettleResource(personalMerchantSettleId) {
    return request({
        url: '/admin/perSettle/getPersonalSettleResource',
        method: 'get',
        // params 参数对象
        params: personalMerchantSettleId
    })
}


// 查询账单分页列表
export function bilStatementList(params) {
  return request({
    url: '/admin/bil/bilStatementList',
    method: 'get',
    params: params
  })
}

// Excel导出账单数据
export function exportBil(params) {
  return request({
    url: '/admin/bil/export',
    method: 'get',
    params: params
  })
}

// 查询账单结算金额信息
export function getSettleAmount(params) {
  return request({
      url: '/admin/bil/getSettleAmount',
      method: 'get',
      params: params
  })
}

