import request from '@/utils/request'

// 查询店铺端常量列表
export function listCode(query) {
  return request({
    url: '/system/code/list',
    method: 'get',
    params: query
  })
}

// 查询店铺端常量详细
export function getCode(codeId) {
  return request({
    url: '/system/code/' + codeId,
    method: 'get'
  })
}

// 新增店铺端常量
export function addCode(data) {
  return request({
    url: '/system/code',
    method: 'post',
    data: data
  })
}

// 修改店铺端常量
export function updateCode(data) {
  return request({
    url: '/system/code',
    method: 'put',
    data: data
  })
}

// 删除店铺端常量
export function delCode(codeId) {
  return request({
    url: '/system/code/' + codeId,
    method: 'delete'
  })
}

