import request from '@/utils/request'

// 查询评价资源列表
export function listResource(query) {
  return request({
    url: '/system/resource/list',
    method: 'get',
    params: query
  })
}

// 查询评价资源详细
export function getResource(recourceId) {
  return request({
    url: '/system/resource/' + recourceId,
    method: 'get'
  })
}

// 新增评价资源
export function addResource(data) {
  return request({
    url: '/system/resource',
    method: 'post',
    data: data
  })
}

// 修改评价资源
export function updateResource(data) {
  return request({
    url: '/system/resource',
    method: 'put',
    data: data
  })
}

// 删除评价资源
export function delResource(recourceId) {
  return request({
    url: '/system/resource/' + recourceId,
    method: 'delete'
  })
}

// 导出评价资源
export function exportResource(query) {
  return request({
    url: '/system/resource/export',
    method: 'get',
    params: query
  })
}
