import request from '@/utils/request'

// 查询订单--退款处理列表
export function listRefund(query) {
  return request({
    url: '/system/refund/list',
    method: 'get',
    params: query
  })
}

// 查询订单--退款处理详细
export function getRefund(orderRefundId) {
  return request({
    url: '/system/refund/' + orderRefundId,
    method: 'get'
  })
}

// 新增订单--退款处理
export function addRefund(data) {
  return request({
    url: '/system/refund',
    method: 'post',
    data: data
  })
}

// 修改订单--退款处理
export function updateRefund(data) {
  return request({
    url: '/system/refund',
    method: 'put',
    data: data
  })
}

// 删除订单--退款处理
export function delRefund(orderRefundId) {
  return request({
    url: '/system/refund/' + orderRefundId,
    method: 'delete'
  })
}

// 导出订单--退款处理
export function exportRefund(query) {
  return request({
    url: '/system/refund/export',
    method: 'get',
    params: query
  })
}
