import request from '@/utils/request'

// 查询服务人员服务时间列表
export function listTime(data) {
  return request({
    url: '/system/time/list',
    method: 'post',
    data: data
  })
}

// 查询服务人员服务时间列表
export function getServerTimeInfo(data) {
  return request({
    url: '/system/time/getServerTimeInfo',
    method: 'post',
    data: data
  })
}

// 查询服务人员服务时间详细
export function getTime(serverId) {
  return request({
    url: '/system/time/' + serverId,
    method: 'get'
  })
}
// 新增服务人员服务时间段
export function editNew(data) {
  return request({
    url: '/system/time/editNew',
    method: 'post',
    data: data
  })
}
// 新增服务人员服务时间
export function addTime(data) {
  return request({
    url: '/system/time',
    method: 'post',
    data: data
  })
}

// 修改服务人员服务时间
export function updateTime(data) {
  return request({
    url: '/system/time',
    method: 'put',
    data: data
  })
}

// 删除服务人员服务时间
export function delTime(serverId) {
  return request({
    url: '/system/time/' + serverId,
    method: 'delete'
  })
}

// 导出服务人员服务时间
export function exportTime(query) {
  return request({
    url: '/system/time/export',
    method: 'get',
    params: query
  })
}
